Introduction

Welcome to MediaMonkey! MediaMonkey will help you manage and play very large music collections, consisting of music files (MP3, WMA, OGG, APE, FLAC, MPC, VQF, WAV files) and/or audio CDs. With MediaMonkey you won't need separate applications for organizing, tagging, creating playlists, renaming files, converting file formats, etc.

MediaMonkey is extremely capable, yet nimble. The standard version of MediaMonkey includes much of the functionality the average user will need, while the Gold version adds several improvements for the avid collector.

This section covers:

  • Basic Concepts: An introduction to the various components and tools.
  • Getting Started: Instructions regarding some of the most common activities to get you started.
  • Keyboard and Mouse Shortcuts
  • Upgrading to the Gold version


Basic Concepts

If you're new to digital music management, you may want to take a minute to learn some of the basic concepts used in MediaMonkey. Otherwise, you can proceed directly to Getting Started.

The Library

The Library is a database of all of your CD albums and audio Tracks. Any album or Track that appears in the database is a record of an album or Track that physically exists, either in a drawer somewhere (one of your CD albums), on your hard drive (e.g. MP3 files), or on a network. The benefit of having your music stored in a database is that you can quickly search your collection of thousands of files for a single Track, and/or organize the files very quickly.

To organize your music, you first need to add it to the Library. Once a song is part of the Library, MediaMonkey makes it easy for you to perform operations on the actual file, so that any operation can be performed on both the Library and the File. For example:

    • If you change the 'Artist' or 'Album' for a file, the database will be updated and the file's tag will be updated as well (assuming the option to automatically update tags is set).
    • If you delete a Track, you are given the option of deleting the record from the Library, or deleting it from the Library and your hard drive.

Ripping & Digital Audio Compression Formats

Most media players support several digital audio file formats natively, and others via plug-ins. Some of these formats (e.g. a standard Audio CD) are uncompressed, whereas others (e.g. MP3) are compressed. An uncompressed Audio CD can take up close to 700 MB on your hard drive, whereas the same audio in a compressed format often uses less than 20% of the space. MediaMonkey is able to 'Rip' audio from an Audio CD and save it to your hard drive in a compressed format.

Audio compression can be lossless or lossy. Lossless audio compression compresses the audio without losing any of the original signal's integrity. Consequently, an audio Track that is compressed with lossless compression can be converted back to its original uncompressed form. Lossy compression on the other hand, takes advantage of the fact that the human auditory system doesn't notice certain types of signal degradations, thereby achieving much higher compression ratios. The tradeoff, of course, is that depending on the algorithm used and the compression ratio chosen, lossy compression can introduce artifacts that may be apparent, especially as the compression ratio increases.

What follows is a brief description of some of the various formats supported natively by MediaMonkey to help you choose the ideal format for your digital music collection:

CDA: CDA (CD Audio) files are the uncompressed files that appear on a purchased Audio CD. They can be played by most players, or ripped to compressed formats to save disk space.

WAV: WAV files are uncompressed and as such, are usually only used for audio Tracks that are not longer than a few seconds. Some users with plenty of hard drive space will convert Audio CDs Tracks to wav files because they are almost universally supported, however, generally, this is not an efficient use of hard drive space.

MP3: MP3 is the most ubiquitous lossy compression format, and MP3 files can be played by most portable digital audio players and many DVD players. MP3s are often ripped at 128 Kbps, achieving decent quality, although the discerning audiophile will often notice artifacts at this bitrate and choose to encode them at a higher bitrate (160 or 192 Kbps).

WMA: WMA (Windows Media Audio) files use a Microsoft format, that, like MP3, is usually lossy (there is a lossless version available, but it is rarely used). It isn't as ubiquitous as MP3, due in part to the fact that it is perceived as a proprietary format and is supported on fewer devices and DVDs than MP3. On the positive side, though, WMA files have noticably better quality than MP3 files encoded at equivalent bitrates.

OGG: OGG is a relatively new format, that like MP3/WMA, is lossy, but is better in quality compared to MP3 files encoded at similar bitrates. What distinguishes OGG from MP3 and WMA is that the format is an open specification and may be distributed freely, meaning that any company can use it at no cost. Few devices support OGG, however, this seems to be gradually changing. For best quality, OGG files are generally encoded at a setting of quality=5 which results in bitrates of ~140-150 Kbps (OGG only uses as much bandwidth as is required).

MPC: MPC is a lossy compressed format that is considered to be one of the best codecs at moderate to high bitrates. At lower bandwidths of 128 Kbps, any benefits over OGG or WMA are less clear. The most significant downside to MPC is that as of today, no hardware devices or portable audio players support the format. MediaMonkey tags and plays MPC files out-of-the-box, but does not yet support encoding.

Monkey's Audio (APE): APE is perhaps the most popular lossless compressed format today. It can store a complete CD in ~1/3 the space of a standard CD without any loss in audio fidelity. MediaMonkey support playback and tagging of APE files but does not yet encode them.

FLAC: FLAC is becoming increasingly popular as a lossless compressed format. It can store a complete CD in ~1/3 the space of a standard CD without any loss in audio fidelity. MediaMonkey supports playback and tagging of FLAC files and encodes them as well.

MediaMonkey can also play other formats via 3rd party plugins. One good example is:

AAC: AAC is a lossy compressed format popularized by Apple's iTunes store. Like OGG and WMA, it is an improvement over MP3, but though it is building in momentum, it is not generally supported by portable audio players other than the iPod.

Ultimately, the decision of what format to use for your audio collection is a personal one, involving tradeoffs between audio quality, hard disk space, portability, and future-proofing. For most, MP3 is perfectly adequate and its widespread support makes it a no-brainer.

Related Information:

Adding Audio Tracks

MP3 Encoding Settings

Digital Rights Management

Some of the formats described above may be encoded with digital rights management (DRM) information. Specifically, WMA tracks that are purchased from online music stores can be encoded with different versions of Microsoft's DRM, while tracks purchased from the iTunes music store are encoded with Apple's Fairplay DRM.

In general, tracks encoded with DRM should be avoided because they can restrict your ability to use them as you see fit--even after you've paid for them. For instance, you may wish to copy the tracks to your MP3 player, however, the DRM might prevent you from doing so. On the other hand, DRM allows some companies to 'rent' music for far less than the cost of purchasing it, and such subscriptions may be worthwhile, depending on your needs.

MediaMonkey supports WMA DRM up to version 9.

Related Information:

Electronic Frontier Foundation DRM Page

Tags

Most digitally encoded file formats also allow Track information to be embedded within the file. For instance, you may have a file 'Bryan Adams - Summer of '69.mp3' in which the filename tells you the Artist and the Title, however, if you wanted to also store information about Album, Track #, Year, Music Genre, Rating, Lyrics, etc. you'd need to store this information in Tags that are embedded within the file.

MediaMonkey allows you to store all sorts of information about a Track within the Library, and to update tags when changes are made to this information. Although the information is stored in the MediaMonkey Library, there are 2 reasons for also updating this information within the track tags as well:

1) If the Track is shared with an external device such as an MP3 Player or DVD, the tag allows that information to be available via the device (assuming the device supports tags).

2) If you wish to use another player or music manager, the tags embedded within your songs can often be read by those applications.

Tags are usually stored in a format that is designed specifically for the file type. e.g. MP3 files usually have ID3 tags wherease OGG files have OGG tags. What follows is a brief discussion of the different tag formats supported in MediaMonkey:

ID3v1: ID3v1 is the lowest common denominator of MP3 tag formats. It stores only a very limited amount of information (e.g. Artist, Title, Album, etc.) however, it is supported almost universally by portable audio players and DVD players.

ID3V2: ID3v2 tags are also used for MP3 files. They support a much greater range of metadata (information about your music files) than ID3v1, however, some information encoded in ID3v2 tags may not be readable by another application or device that also supports ID3v2. For this reason, it's usually a good idea to store music data in both ID3v1 and ID3v2 tags.

OGG, FLAC and WMA files have there own standard tag formats. There's no need for alternatives since the specification supports as much metadata as would be needed in a relatively unambiguos manner.

APE and MPC files use APE2 tags, which are designed to resolve some of the difficulties with ID3v2. Although they work very well, there is limited support for them in portable audio players and DVD players.

Related Information:

Editing Track Properties

About Track Properties

Volume Leveling

When tracks are digitally encoded from different sources and using different encoders or encoder settings, they will invariably play back at different volumes on different players and devices. Several technologies have evolved to deal with this problem, and it's useful to understand them so that you use the approach that best meets your needs:

  1. Replay Gain
    This is the most standardized approach to volume leveling, providing a comprehensive approach for all audio formats without impacting audio fidelity. Replay Gain implementations use a two phase approach: first track volumes are analyzed and the resulting co-efficient is saved to the track's tag. Then, during playback, this tag is read and the player adjusts the volume up or down accordingly. This is an excellent approach for PC-based players, but is limited because many portable devices do not support Replay Gain tags, and thus when tracks are synchronized to a device, the volume will vary.

    MediaMonkey supports Replay Gain analysis and playback (via 'Analyze Volume' and 'Level Playback Volume').
  2. Soundcheck
    This is Apple's variation on Replay Gain. iTunes generates Soundcheck co-efficients which are used to level playback volume. The pros of Soundcheck are that it is recognized by iPod devices and thus volume is leveled even when playing on them without any loss in fidelity. The downside is that it is non-standard, and other Players may not recognize Soundcheck values.

    MediaMonkey supports Soundcheck, reading Soundcheck values and converting them to Replay Gain (if no Replay Gain co-efficient exists) as well as converting Replay Gain to Soundcheck on the fly when Synchronizing to an iPod.
  3. MP3 Gain
    This is a variation on Replay Gain, the difference being that rather than saving the analysis co-efficient to a tag, the volume of the MP3 file is actually modified based on the analysis. The benefits of this approach are that like Replay Gain there is no loss in Audio Fidelity, and the resulting MP3 files can be played at level volumes on any MP3 player. The downside is that the approach is limited to MP3.

    MediaMonkey supports MP3 Gain type volume leveling via the 'Level Volume' command.
  4. Conversion
    Whenever tracks are converted from one format to another, the level of the volume can be adjusted. This is useful when there's a need to convert formats, however, for anything else, this is not a desirable means of achieving level volumes since it results in loss of fidelity.

    MediaMonkey supports conversion (including CD Ripping and burning) with volume leveling.
  5. Audio Normalization
    This is an approach used by some Output or DSP plugins that adjust sound levels on the fly during playback to keep them within a defined range. It is generally not recommended as it can introduce audio artifacts.

Related Information:

Replay Gain Standard (by David Robinson).


Getting Started

In case you're itching to use the software without reading the rest of the online help, here are a few tips to get you going:

Adding Your Music to the Library

The first time you run the application, you'll be prompted to select which folders to scan for music, and for what type of music files to scan for. Any music files found in these directories/subdirectories will be added to the Library. When music is added to the Library, existing Tags are never modified in any way.

See: Adding Files and Folders to the Library

Playing Tracks from the Library

Once your files have been added to the Library, navigate your way through your music collection by clicking different nodes in the Library portion of the tree in the MediaMonkey Explorer. The Track list in the main panel will update, depending on which node you select.

To play a Track, simply double-click it in the Track list. That Track will begin playing, followed by Tracks that were listed subsequent to it (in the default player configuration). To play specific Tracks, select several and then click the Play Now button on the toolbar.

To see the list of Tracks that are currently playing, look in the Now Playing window or click the Now Playing node in the tree.

See: Browse the Library, Playing Audio Tracks

Editing Tags

If you want to try editing the properties associated with a Track, simply select the Track, right-click on it, and choose Edit Properties . Make your changes, and click 'Ok' to update the Track's Tag. If you're missing information or Album Art, right click on the track and choose Auto-Tag from Amazon.

As with other commands, if you select multiple Tracks and click Edit Properties , the command will apply to all of the selected Tracks.

See: Editing Track Properties, Auto-Tag from Amazon

Customizing the Application

Once you've played a few Tracks, you'll probably want to spend a bit of time customizing the application to suit your tastes. Try:

  • Right-clicking on any of the column headings to add/remove columns that you'll be using regularly.
  • Drag and dropping the various column headings to change their position.
  • Clicking the Tools > Options menu to customize all options.

See: Customizing MediaMonkey's Appearance & Skin

Accomplishing other Basic Tasks

  • Rip (Copy) a CD to your hard drive
  • Burn portions of your library to a CD/DVD
  • Create Playlists
  • Synchronize Tracks to a Portable Device
  • Level Volume
  • Manage the Library
  • Use Keyboard & Mouse Shortcuts


Keyboard & Mouse Shortcuts

MediaMonkey can help you work more efficiently with your music Library with the following shortcuts.

Multimedia Keyboard Shortcuts

The following buttons on multimedia keyboards can be used to control MediaMonkey from within any application:

Play / Pause / Stop
Previous Track / Next Track
Volume Up / Volume Down
Search
Previous View / Next View / Refresh

Standard Keyboard Shortcuts

The following shortcuts can be accessed via a standard keyboard from within MediaMonkey:

Play / Pause | <Ctrl><p>
Previous Track (back) | <Ctrl><b> or <Ctrl><Alt><¬>
Next Track (forward) | <Ctrl><n> or <Ctrl><Alt><®>
Back 5 Seconds | <Shift><Ctrl><b>
Forward 5 Seconds | <Shift><Ctrl><n>
Stop | <Ctrl><o>
Volume Up | <Ctrl><Alt><Up Arrow>
Volume Down | <Ctrl><Alt><¯>
Play (selected Tracks) Now (can be changed by modifying 'Double-click action') | <Enter>
Play (selected Track) Now - Alternate (see Player Configuration) | <Alt><Enter>
Play (selected Tracks) After Others | <Ctrl><Enter>
Play (selected Tracks) Next | <Shift><Ctrl><Enter>
Edit Properties of selected Tracks | <Shift><Enter>
Advance Track in Property Editor | <Alt><Right arrow>
Previous Track in Property Editor | <Alt><Left arrow>
Delete Selected Tracks (recycle bin) | <Delete>
Permanently Delete Selected Tracks | <Shift><Delete>
Select First Track | <Home>
Selecet Last Track | <End>
Select All Tracks | <Ctrl><a>
Search | <Ctrl><f> or <F3>
Auto-Tag from Amazon | <Ctrl>-<l>
Auto-Tag from filename | <Ctrl>-<t>
Auto-Organize | <Ctrl>-<r>
Synchronize Tags | <Ctrl>-<s>
Rip Audio CD | <Shift><Ctrl><r>
Convert Audio Format | <Shift><Ctrl><c>
Burn Audio CD | <Shift><Ctrl><d>
Save Preview | <Shift><Ctrl><p>
Previous node back | <Alt><Left>
Previous node forward | <Alt><Right>
Resize Columns | <Ctrl><Numpad+>
Refresh View | <F5>
Refresh play order to match sort order (in Playlist nodes) | <Alt><F5> or <Ctrl><Alt><F5>
Show Now Playing node | <F6>
Show Library node (collapsed) | <F7> or <Alt><Home>
Show Artists node | <F8>
Show Albums node | <F9>
Show Genre node | <F10>
Show Year node | <F11>
View Album Art (toggle) | <Ctrl><Alt><a>
View Properties editor (toggle) | <Ctrl><Alt><p>
View Player (toggle) | <Ctrl><Alt><l>
View Now Playing dialog (toggle) | <Ctrl><Alt><n>
View Visualization (toggle) | <Ctrl><Alt><v>
View Equalizer (toggle) | <Ctrl><Alt><e>
Switch to Party Mode (toggle) | <Ctrl><Alt><m>

Numeric Keypad Shortcuts

You can also access the player commands using the numeric keypad. This is useful if you don't have a multimedia keyboard, and don't want to have to press multiple keys to control the player. By default, these shortcuts are active when the numeric keypad is disabled (i.e. when Num Lock is off -- see Player Configuration for details) :

Play (selected Tracks) Now (can be changed by modifying 'Double-click action') | <Enter> (numeric pad)
Play/Pause | <0> (numeric pad)
Stop | <.> (numeric pad)
Previous Track | <7> (numeric pad)
Next Track | <9> (numeric pad)
Back 5 seconds | <1> (numeric pad)
Forward 5 seconds | <3> (numeric pad)
Volume Up | <8> (numeric pad)
Volume Down | <2> (numeric pad)
Balance Left | <4> (numeric pad)
Balance Right | <6> (numeric pad)
Balance Center | <5> (numeric pad)
Show 'Now Playing' | <+> (numeric pad)

Mouse Gestures

When the application is minimized, you can still control the player by performing 'Mouse gestures' over the system tray icon:

Restore application | Double-click icon
Play / Pause | Click icon
Previous Track | Drag left on icon
Next Track | Drag right on icon
Volume Up | Drag up on icon
Volume Down | Drag down on icon


Upgrading to the Gold Version

MediaMonkey is free for personal use, however, you can upgrade to the Gold version, for a small fee. Some of the added features included with MediaMonkey Gold are:

  • File Monitor - With the File Monitor, any time you modify, add, move, or delete a music file within specified directories, your Library is automatically updated, saving you from doing so manually.
  • Advanced AutoPlaylists - With advanced AutoPlaylists, you can define a playlist based on almost any criteria. For example, if you wanted music for a party, you could have an AutoPlaylist that includes 100 Songs in which Bitrate>=128 Kbps, Tempo= fast/veryfast, Year=1990-2000, Rating>=4 stars, Genre=Rock. Advanced AutoPlaylists are also especially useful for synchronizing with a Portable device as they allow you to quickly choose which subset of tracks to synch.
  • Auto-Conversion - Synchronization with portable devices is supported in the standard version, however, auto-conversion allows for on-the-fly conversion of tracks from unsupported format to a format that your portable device supports.
  • Virtual CD - Allows you to keep track of what CDs you own and at the same time see which subset of tracks from those CDs are copied to your hard drive. Instead of tracking your CDs and tracks separately, the virtual CD function gives you an integrated view.
  • Unlimited MP3 encoding - Allows you to encode MP3s in an unlimited fashion (the free version of MediaMonkey includes a time-limited LAME MP3 encoder. If you're so inclined, you can manually replace it with the free LAME encoder, or you can just upgrade to MediaMonkey Gold).

For more information visit: MediaMonkey Gold Information
To purchase MediaMonkey Gold visit: Buy MediaMonkey


Exploring Your Audio Tracks

Navigating Your Collection

You can navigate your collection in MediaMonkey via the MediaMonkey Explorer, using mainly the Tree in the left-hand column, and a Track list on the right.

Browsing for Tracks

To navigate the tree, and the Tracks contained within, several approaches can be taken:

  • Click a particular node in the tree.
  • Click the Artist, Album, Year, or Genre shortcuts that appear in the Toolbar. This is convenient when the node in question isn't visible.
  • Click the Home shortcut in the Toolbar, to collapse the tree.
  • Click the Back to Previous or Forward to Previous buttons in the toolbar to switch to a previous view that is of interest.
  • Press the <Up> or <Down> arrows on the keyboard to navigate up and down the tree. Press the <Right> and <Left> arrows to expand and collapse folders.
  • Type any text to find the next instance of that text within the tree.

Other Means of Navigation

MediaMonkey provides a variety of views through which to navigate MediaMonkey:

  • Searching for Tracks
  • Now Playing Node
  • Library Node
  • Files to Edit Node
  • Virtual CD Node
  • Previews Node
  • Playlists Node
  • Net Radio Node
  • My Computer Node
  • Web Node


Search

Depending on your need, you can search for tracks using several different tools.

Basic Search

Enter your search criteria in the Search toolbar and MediaMonkey will return search results to the Search node based on the most commonly used text fields. If you wish to initiate a slightly more fine-grained search, clear the search bar and:

  1. Click the Search button to bring up a basic search dialog that will let you find Tracks based on a few criteria.
  2. Enter the word or phrase you'd like to find and press 'Ok' to see the search results.

If you wish to save the search results, right-click Save as AutoPlaylist.

Advanced Search

Advanced search allows you to search the entire library by any set of criteria. To do this:

  1. Press the Search button (when no text appears in the search bar) or node, and select the Advanced tab.
  2. Click the 'New Criteria' icon, and select the criteria you would like to search for. You can do this for as many criteria as you like. Keep in mind that:
    • For any individual criterion, if you select multiple attributes (e.g. Tempo is Fast, Very Fast), the search will find any Track where Tempo is Fast or Very Fast.
    • If you select multiple criteria (e.g. one criteria is Artist=Police and another Genre=Rock), then the criteria are additive, and search will only find Tracks that match all of the criteria.
  3. Click the 'Add New Sort Order' icon, to sort the search results by any field. Sort by 'Random' if you want Tracks to be sorted in a random order or Random Album if you want Albums to be played randomly (note: if you limit the number of search results, then sorting by 'Random' will return a different set of Tracks each time).
  4. Limit the search results, by time, size, or number of Tracks if you wish.
  5. Press 'Ok' to see the search results in the Search node.

If you wish to save the search results, right-click Save as AutoPlaylist.

Related Information:

Using AutoPlaylists

Find More from Same

In cases where you are browsing a particular Track and want to quickly see related Tracks, such as those by the same Artist, in the same Genre, Album, Year, or Folder, you can quickly find the related Tracks using Find More from Same .

  1. Select a Track
  2. Right-click and select Find More from Same. Select Artist, Genre, Album, Year, or Folder depending on which related Tracks you would like to find.

You will immediately be brought to the relevant node in the Tree.


Now Playing

The 'Now Playing' queue shows all Tracks that are in line to be played, with the currently playing Track appearing in bold. See Playing Audio Tracks for more details about adding/removing Tracks from the queue.

The Now Playing queue can also be viewed in several different ways:

  1. As a node in the MediaMonkey Explorer tree
  2. As a dialog in the MediaMonkey Explorer panel (enabled via View > Now Playing). This is useful for dragging/dropping tracks into the queue from other nodes.
  3. In minimized mode. This allows you to minimize MediaMonkey to the Now Playing dialog so that you can listen to Tracks with MediaMonkey without it taking over your desktop. This is enabled by clicking the minimize to Now Playing button in the upper right corner or by setting Minimize to Now Playing as described in General Configuration.

Related Information:

Editing the Now Playing Queue

Automating the Now Playing Queue with Auto-DJ


Library

The Library contains all of the nodes that display your entire collection in several different ways. All of these nodes are useful for browsing your collection based on attributes such as Location, Title, Artist, Album, Genre, etc, or for making changes to a Track by dragging and dropping it between nodes (e.g. dragging a Track from Genre=Pop to Genre= Rock would change the Genre from 'Pop' to 'Rock').

Location

This contains all of the Nodes that display Tracks in the Library based on their physical location--any folder or physical media containing a song will show up here. In addition, each subnode contains an All node that displays all Tracks that are present in all of the subfolders of the selected directory. These Nodes are particularly useful if you're trying to find out where all of your Tracks are located. The subnodes are:

Hard Disk

Displays any folders on the hard disk containing Tracks that are in the library. This is useful if you want to move/consolidate Tracks within a folder to a different location

CD

Displays any physical CDs which you have added to the library (note that this is different from the Album node, which shows Tracks grouped by the Album that they appear on--regardless of whether the physical CD has been added to the Library). If you select a CD, but the CD is not inserted, then the Tracks are greyed out, unless they've been saved to the Virtual CD. See Adding CDs to the Library .

Network

Functions similarly to the Hard Disk view -- it displays any folders on the network containing Tracks that are in the library.

Related information:

Tree Configuration

Title

Displays all Tracks sorted by Title. Subviews allow you to view Tracks grouped by title letter.

Artist

Displays all Tracks sorted by Artist (Track Artist and Album Artist). Subnodes allow you to view Tracks grouped by Artist, or by Artist & Album. This is one of the most common views for browsing your music library. It is also fairly useful for correcting errors re. Artists - simply drag and drop a Track from the old artist to the new artist to make a correction.

Note: To filter the list of Artists shown, right click on the Artist node.

Album

Displays all Tracks sorted by Album. Each subnode consists of an Album (and associated Album Artist in parentheses) whose Tracks are displayed in the order in which they appear on the album. This is in contrast to the CDs that appear in the Locations node, which are indicative of actual physical CDs in the collection.

Note: To filter the list of Albums shown, right-click on the Album node.

Genre

Displays all Tracks sorted by Genre. Each subnode consists of individual Genres that displays all Tracks of that Genre. Note that the subview shows only Genres that have actually been used, rather than the entire list of available Genres (in contrast, in the Properties dialog, all available genres are shown, though unused Genres appear greyed out). This view is somewhat useful if you wish to choose music by Genre, and is also useful for making changes to the Genre field for any Track - simply drag and drop a Track from the old Genre to the new Genre.

Year

Displays all Tracks sorted by Year. Subnodes consist of Decades and Years. This is often useful for selecting a mix of Tracks from a certain era.

Rating

Displays all Tracks sorted by Rating. This is useful for selecting and rerating all Tracks.

Classification

Displays Tracks grouped by various subjective criteria: Tempo, Mood, Occasion, Quality. These are useful for reclassifying Tracks via drag and drop.


Files to Edit

This contains various nodes that help you locate Tracks that have problems, inconsistencies that need to be corrected, or missing information. It is particularly useful when you are correcting the properties of your various Tracks.

Unknown Title

Displays all Tracks that don't have a Title defined.

Unknown Artist

Displays all Tracks that don't have an Artist defined.

Unknown Album

Displays all Tracks that don't have an Album defined.

Unknown Genre

Displays all Tracks that don't have a Genre defined.

Unknown Year

Displays all Tracks that don't have a Year defined.

Unknown Rating

Displays all Tracks that don't have a Rating defined.

Unclassified Tracks

Displays all Tracks that don't have classifications such as Tempo, Mood, or occasion defined.

Unknown Album Art

Displays all Tracks for which the Library has no record of Album Art. Note: See the readme if you've upgraded from a previously version and this node contains tracks with Album Art.

Multiple Artist Albums

Displays all Albums and associated Tracks that have a common Album name, but different Track Artists. This usually occurs when some sort of typo has occurred, or if an Album is a compilation by multiple artists, but hasn't been designated as such. See Editing Album Artists.

Dead Links

This displays all Tracks that are part of your Library but cannot be found because they've been deleted from their physical location on the hard drive. If the file was intentionally deleted, you can delete the Track from the library. If the file wasn't intentionally deleted, you should try to retrieve the file. See Library Maintenance . Note: This can be automated with the File Monitor in the Gold version.

Unsynchronized Tags

This displays all Tracks for which Tags do not match the Track Information contained within the Library. This may occur if you've enabled inference of Track Properties when adding files to the library, if v1 and v2 tags do not match, or if tags for a specific Track haven't be updated properly due to improperly formed or non-standard tag formats. See Synchronizing Your Tags .

Duplicate Titles

This displays all Tracks that have duplicate titles. This is useful when you're removing duplicates from your collection.

Duplicate Content

This displays all Tracks that are identical to one another in terms of the audio content (tags and other metadata are ignored). This feature only works for Tracks that have been 'Analyzed for Duplicate Content' when they were added to the Library. To do so, enable it in the Library Configuration menu, and then rescan your hard drive(s).


Virtual CD

The Virtual CD node displays all Tracks that have been saved to the Virtual CD. The Virtual CD can be thought of as a location that allows you to keep track of what CDs you own and at the same time see which subset of tracks from those CDs are copied to your hard drive. Instead of tracking your physical CDs and tracks separately, the virtual CD function gives you an integrated view. The Virtual CD node is used mainly when you are ripping Tracks to your hard drive from CDs.

For example: If a CD by The Tragically Hip has been added to the library and the user saves 3 tracks to the Virtual CD, then those tracks will appear in the Virtual CD node. More importantly, the disc will appear in the /Locations node, with all tracks visible in the tracklist, however, all but 3 of the tracks that have been saved to the virtual CD will be greyed out (because the CD isn't inserted and they're thus unavailable). Without the Virtual CD functionality, it wouldn't be possible to easily ascertain the relationship between physical CDs in a collection, and the subset of tracks from those CDs that have been ripped.

See: Ripping Tracks and Cataloguing CDs

Virtual CD Queue

The Virtual CD Queue displays all Tracks that have been set aside to eventually be saved to the Virtual CD.

See: Ripping/Saving Tracks from Large Numbers of CDs


Previews

The Previews node displays all Previews--short samples of your audio Tracks--that have been created. These are useful if you want to quickly listen to a large number of songs in a short period of time. See Creating Previews .


Playlists

The Playlists view contains all Playlists and AutoPlaylists that are part of your collection. Playlists in this node can be organized hierarchically to suit your tastes. Note that Playlists and AutoPlaylists are stored within the MediaMonkey database--if you wish to use these playlists within another application, you must export them. See Exporting Playlists .

Playlists

Playlists are simply collections of Tracks arranged to play in a predefined order. When you add Tracks to the Library, a playlist is created by default, showing all of the songs that have been imported at that time. If you've added .m3u playlists into your collection, these will automatically appear in the 'Imported Playlists' folder. See Using Playlists .

AutoPlaylists

AutoPlaylists are collections of songs that are created dynamically based on a chosen set of criteria. As new Tracks are added to the Library or changed, AutoPlaylists adjust dynamically so that any new Tracks that match the chosen criteria are added, and others that no longer match the criteria are removed. See Using AutoPlaylists .


My Computer

This view allows you to access to your Hard Drive, CD Rom, Network, or any other devices that have drive letters attached, much as you would with the Windows Explorer--it shows all audio files and .m3u Playlists, not just those that are part of the Library. This is useful when you want to perform operations on Tracks that are not (yet) part of your Library. For example:

  • Browse a CD that hasn't been added to your library to listen to it, edit its contents (edits are saved to cdplayer.ini), and/or 'Add' it to the Library or save it to the 'Virtual CD'.
  • Browse to a folder on your hard drive that hasn't yet been added to the library and then Add it.
  • Create a new folder called C:/Music and then move folders from /Library/Location/C:/Temp into this new directory (this cannot be done in the /Library/Location view since it only shows directories that already contain audio Tracks).
  • Examine, edit, or create an .m3u playlist that is not part of the library.

Related information:

Tree Configuration

Working with .m3u Playlists


Playing Audio Tracks

Playing audio Tracks with MediaMonkey is straightforward whether you are using MediaMonkey or Winamp as the player. Tracks are added to the Now Playing queue and are then played. Basic Playback can be done in a single step, though finer control can be achieved by using all of the Now Playing queue's features.

Basic Playback

  1. Select the Tracks you would like to play
  2. Click the Play Now button in the Play menu.

The Tracks you've selected will fill the Now Playing queue, replacing others that may have previously been there, and begin playing from the first Track. If you've selected only a single Track, additional Tracks may be added to the Now Playing queue, depending on how you've configured the player.

Tracks that are playing can be viewed by selecting the Now Playing node, with the currently playing Track appearing in bold.

Setting the Order in which Tracks Should be Played

For for full control over which Tracks are played when, you can modify the Now Playing queue. Think of the Now Playing queue as a list of Tracks to be played that you can modify, even as they are being played. You can:

  • Add Tracks to the end of the 'Now Playing' queue: Select the Track(s) you want to add and click Play Last from the Play menu. Note: If the Player is not yet playing a Track, this command will modify the queue but will not initiate playback.
  • Insert Tracks into the middle of the 'Now Playing' queue, immediately following the currently playing Track: Select the Track(s) you want to add and click Play Next from the Play menu. Note: If the Player is not yet playing a Track, this command will modify the queue but will not initiate playback.
  • Insert Tracks into any position of the 'Now Playing' queue: Select the Track(s) you want to add, and drag them to the Now Playing node, to the desired position in the list.
  • Replace the current 'Now Playing' queue a new set of Tracks: Select the Track(s) you want to play and click Play Now from the Play menu. Note: In addition to replacing the queue, this command initiates playback.
  • Rearrange the order of Tracks in the 'Now Playing' queue: Go to the Now Playing node, and drag and drop Tracks within the queue to re-arrange them.
  • Remove Tracks from the 'Now Playing' queue: Go to the Now Playing node, select which Tracks you'd like to delete from the queue and press <Delete> . This will not delete the Tracks from the database--it will only remove them from the queue.

Most importantly, you can change the default behavior of the queue via the Tools > Options > Player menu so that, for example, only a single track is added to the queue when it is double-clicked.

Related Information:

Keyboard and Mouse Shortcuts to Control the Player

Volume Leveling

Using Playlists, Using AutoPlaylists

Player Configuration (MediaMonkey vs. Winamp)


The Player

The MediaMonkey Player

The MediaMonkey player provides several functions that may not be immediately obvious:

Open Files

Pressing the Open Files button on the player, and opening an audio Track will result in that audio Track being played immediately, replacing any other Tracks in the Now Playing queue. The Track will not be added to the Library.

Shuffle Mode

Enabling Shuffle causes all of the Tracks in the 'Now Playing' queue to be played in random order. This can be enabled via the Player, or via the menu.

Continous Mode

Enabling Continuous mode, cause Tracks in the 'Now Playing' queue to play without end. This can be enabled via the Player, or via the menu.

Equalizer

Allows you to customize audio to suit your equipment and environment using a 10-band equalizer. Be sure to save your settings so that you can reload them in the future. This can be configured via the Player or via the menu.

Visualization

If you wish to view psychedelic visual effects synchronized to the beat of the music, click the Visualization button on the Toolbar, or View > Visualization.

Related Information:

Player Configuration

Keyboard and Mouse Shortcuts

MediaMonkey Customization


Protecting Your Library with Party Mode

Party Mode allows you to use MediaMonkey in a public environment (e.g. at a party) while protecting the content of your library. Additions, deletions, and edits are disabled, and in addition, the amount of playback and playlist control provided to users is configurable so that it can be used as an interactive jukebox, a shared DJ console, or just a display of what is playing.

Party Mode is enabled via: View > Party Mode

Related Information:

Configuring Party Mode

Auto-DJ


Using Auto-DJ

Automatically Play Tracks with Auto-DJ

Auto DJ allows MediaMonkey to automatically add tracks to the Now Playing queue when there are a limited number of tracks remaining.

It will randomly and indefinitely play from a specified set of tracks when the Now Playing queue runs out, and is especially useful when you don't feel like choosing tracks manually or when user or DJ-selected tracks at a party run out

Auto-DJ is enabled via Player > Auto-DJ

Related Information:

Auto-DJ Configuration

Party Mode


Volume Leveling

Volume Leveling allows Tracks to be played back in MediaMonkey at a consistent volume level, so that you don't have to manually adjust the volume to compensate for some Tracks being recorded at higher/lower volumes than others. Leveling playback volume is generally accomplished by either:

  1. Leveling the playback volume of a file as it plays in MediaMonkey based on a (Replay Gain) volume leveling coefficient that has been previously analyzed.
  2. Leveling the track volume of the source file so that it plays back at level volume on any player, but only with MP3 files.

For more information on these approaches, see: Basic Concepts: Volume Leveling

Leveling Playback Volume

  1. Select all of your Tracks and click Tools > Analyze Volume. This will take some time as each Track will be individually analyzed, and a volume adjustment coefficient will be calculated for each Track. To minimize this time, ensure that Volume Leveling analysis only occurs when no coefficient exists. See Volume Leveling Configuration for details.
  2. From the Play menu, click Level Volume . This will ensure that the Player will adjust the volume level using the calculated coefficient. Note that Volume leveling is only supported for the MediaMonkey player--it is not supported in Winamp.

Leveling Track Volume

To level the volume of Tracks already in the library:

  1. Configure the Baseline Volume Level to the desired volume via the Volume Leveling Configuration panel.
  2. Select all of the Tracks you wish to level and click Tools > Level Track Volume. This will take some time as each Track will be individually analyzed, and the volume will then be adjusted so that the Track(s) can play back levelled on any player.

To level the volume of Tracks when Burning a CD, Ripping a CD, or converting between audio formats, simply enable the checkbox on the respective dialogs.

Related Information:

Playing Audio Tracks


Using Playlists

Playlists are lists of Tracks from the Library, arranged in a set order. Playlists can be used to create a mix of music that you wish to listen to, to sync, or to burn to a CD.

To create a Playlist:

  1. From the Edit menu or from the Playlist button on the toolbar or from the Send-to context menu, click New Playlist.
  2. Name the Playlist when prompted. The new playlist will be created in the Playlists node.
  3. Move the new playlist by dragging and dropping it to a different portion of the Playlists hierarchy, if you wish.
  4. Add Tracks to the playlist by dragging and dropping them from anywhere in the Library. Note that this doesn't move the Track or change any of its properties--it just adds it to the Playlist.
  5. Rearrange the order of Tracks within the Playlist by dragging and dropping the Tracks within the Playlist. You can also click a heading to sort the playlist, and then press <Alt><F5> or <Ctrl><Alt><F5> to change the order in which tracks are played to match the order in which they are displayed.
  6. Remove any of the Tracks you aren't comfortable with by selecting the Track(s) and pressing <Delete>. This will not delete any Tracks from the Library, it simply removes them from the Playlist.

Alternatively, you can drag and drop Tracks into the Now Playing window, and then click List > Save Playlist

To Edit a Playlist:

    • Add Tracks to an existing playlist by selecting the Track(s) to add and clicking the Playlist button on the toolbar or Send-to > Playlist in the context menu, and choose the destination Playlist.
    • Edit an existing playlist by clicking the Playlist node from the tree and add/remove/rearrange Tracks within the Track list.
    • Edit an existing playlist by selecting the Playlist node and playing it. Then add/remove/rearrange Tracks within the Now Playing dialog and click List > Save Playlist when you're done.

Related Information:

Playlist Configuration

Using AutoPlaylists

Exporting Playlists

Sync Tracks to Devices

Working with .m3u Playlists

It is also possible to add, delete, or edit an .m3u Playlist that is not part of the Library. In the My Computer node:

    • Edit an .m3u playlist by selecting it, and dragging files into it or deleting files from it.
    • Create a new .m3u playlist by right-clicking New .m3u Playlist and then dragging files into it.
    • Delete an .m3u playlist by selecting it, and pressing <Delete>.

Related Information:

My Computer


Using AutoPlaylists

AutoPlaylists are collections of songs that are created dynamically based on a chosen set of criteria. As new Tracks are added to the Library or changed, AutoPlaylists adjust dynamically so that any new Tracks that match the chosen criteria are added, and others that no longer match the criteria are removed. They are great for creating a mix of music to match a certain type of mood.

To create an AutoPlaylist:

  1. From the Edit menu or from the Playlist button on the toolbar or from the Send-to context menu, click New AutoPlaylist.
  2. Name the AutoPlaylist when prompted. The new playlist will be created in the Playlists node.
  3. You will then be prompted to select the criteria to be used for the AutoPlaylist. Use the Search pane for a simple AutoPlaylist, or the Advanced Search pane for a more complex AutoPlaylist with multiple criteria. Once you've selected your criteria, press 'Ok', and the AutoPlaylist will be generated.

  4. Move the new playlist by dragging and dropping it to a different portion of the Playlists hierarchy, if you wish.
  5. If you need to edit the AutoPlaylist, select it, and click Edit Properties, and you will be prompted to edit the criteria used to generate the list.

To edit the AutoPlaylist, select it and right-click Edit AutoPlaylist.

Related Information:

Using Playlists

Exporting Playlists

Sync Tracks to Portable Devices


Net Radio

MediaMonkey will play most Shoutcast or Icecast streams. There are several ways to do so:

  1. In the Net Radio node, click a directory and then a station. It should automatically open in MediaMonkey.
  2. Click the Open File/URL button in the player and enter an address.
  3. Click a stream that appears within the Now Playing list or within a Playlist*.

*To save a favorite station, drag it from the Now Playing window into the desired Playlist (e.g. a Playlist called 'Favorite Radio Stations).


Sleep

If you want your computer to shut down after playing music for awhile, you can use the Sleep function:

  1. Press the Sleep button
  2. You will be prompted to configure:
    • Time until shutdown
    • Whether the volume gradually fade prior to shutdown

Note: When using Sleep, it's a good idea to close all other applications, since some applications may ask for a confirmation that would prevent the computer from shutting down.


Adding Audio Tracks & CDs

MediaMonkey can be used to manage both Audio CDs and Audio Tracks, and depending on your intentions these can each be added to the library in slightly different ways.

  • If you want to add files and folders that already exist on the network or your hard drive, see Adding Files & Folders.
  • If you want to add a CD to your Library for the purposes of cataloguing your CD collection, without ripping the contents of the CD to your hard drive, see Adding CD Albums.
  • If you want to add a CD to your Library, and rip the contents of the CD to your hard drive, you may go about this in 3 ways:
    1. If you don't care about tracking which CDs you physically own, you can simply Rip the CD. See Ripping Tracks from CDs.
    2. If you are interested in tracking which CDs you physically own, you'll want to save the Tracks to the Virtual CD. See Ripping Tracks and Cataloguing Physical CDs.
    3. If you are going through a large number of CDs and want to most efficiently Rip selected contents from the CDs, you'll want to use the Virtual CD Queue. See Ripping Tracks from Large Numbers of CDs.


Adding Tracks to the Library

In order to most effectively manage audio Tracks with MediaMonkey, they must first be added to the Library. The first time you run MediaMonkey, you'll be prompted to do this automatically. Subsequently, you can initiate this process manually:

  • To (re)scan your entire drive, simply click File > Add/Rescan Tracks to the Library on the main menu, or press <Insert>
  • To add or rescan a selected folder, Drive, or Network Location, select a folder in the My Computer or Location nodes, then right-click and select Add/Rescan Tracks to the Library or press <Insert> . Alternatively, you can manually enter paths in the 'Selected Folders' box, though each path must be enclosed in quotes.

A dialog will appear, allowing you to choose what types of audio files to scan for, and to modify which folders to scan. In addition it allows you to set several Advanced configuration options . Once you press 'Ok', MediaMonkey will scan the selected locations for the types of files that you chose, and:

    • Add any music files and associated Album Art that is found to the Library.
    • Catalog the contents of any CDs that are found to the Library. CDs that have been added to the Library will appear in the Locations node of the Library. If any CD album is selected, the Tracks on the album will appear greyed out if they're inaccessible, and in black if the CD is inserted.
    • Add any .m3u playlists that are found to the Library, along with any of the Tracks contained within the playlists (if they can be found).
    • Update the properties of any Tracks that are scanned, if this has been configured in Library cofiguration options.
    • Give you the option of importing missing ratings, play count, and last played data associated with the tracks from a Windows Media Player, iTunes or Winamp database, if one resides on your computer.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.


Adding CDs to the Library

MediaMonkey can be used to catalog CDs (Audio CDs or data CDs containing compressed audio Tracks), even if you don't rip the CD contents to your hard drive. To do so, place your CD in your CD Rom drive. If no information about the CD is available, MediaMonkey will attempt to identify it by connecting to Freedb over the internet.

Right-click the CD in the My Computer node and make any changes to any of the Track properties (these will be saved to a file called cdplayer.ini so that the CD will be recognized if it is subsequently inserted). Once you're comfortable with the CD's properties, select Add Files to Library or press <Insert> . The CD will be catalogued in the library. CDs that have been added in this manner will appear in the Locations node of the Library, while the Tracks contained within will be browsable via other nodes such as Album or Artist . Note that the Tracks from the album will appear greyed out if they're inaccessible (i.e. if the CD is not inserted), and black if the CD is inserted.


Deleting Tracks & CDs

Deleting Tracks

Any Track may be deleted from the Library simply by selecting the Track and pressing <Delete> . A dialog will appear allowing you to choose whether to delete the entry from the Library only, or delete the entry and the actual file.

Note that deleted Tracks are sent to the Recycle Bin (pressing <Shift><Delete> results in permanent deletion).

Deleting CDs, Artists, Albums, etc.

Any CD, Artist, or Album can be similarly deleted by selecting the node in the Tree and pressing <Delete> . Dialogs will appear asking whether you also want to delete any Tracks that are contained within that CD, Artist, or Album.

Deleting Tracks from the Now Playing list

When the Now Playing node is active, selecting a Track and pressing <Delete> removes the Track from the Now Playing list or Playlist--the Track is not deleted.

Deleting from Virtual CD

Deleting Tracks from a Virtual CD can be a bit tricky, since in some cases, you'll want to delete the Track entirely (normal delete operation), while in others, you may simply want to remove it from the Virtual CD. In the latter case, you can:

  • Go to the Virtual CD node in the tree, select the Track(s) to be removed and press <Delete>.
  • Click Edit > Properties for any Track, go to the Virtual CD tab, and press the Remove button.


Ripping Tracks from CDs

If you want to just rip Tracks from CDs, and are not concerned with cataloguing your physical CDs, you can simply rip a CD by selecting the CD or several Tracks on the CD (from the Locations or My Computer nodes), and clicking Tools > Rip Audio CD .

The Rip CD dialog will appear, from which you may configure:

  1. The compression format to be used for ripping the Tracks. See Ripping & Digital File Formats .
  2. Whether the volume of the Tracks should be leveled as they are encoded. This is slightly different from just analyzing the volume levels, since in addition to performing the analysis, this actually modifies the volume levels of the ripped Track.
  3. The Directory and Filename format to be used for the new Tracks. Choose the format in which your files will be saved by clicking the <Artist>, <Album>, etc. buttons, and click the folder button if you wish to save to a different folder. See Configuring Directory and Filename Formats .

Press 'Ok' to proceed with Ripping the selected Tracks.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.


Ripping Tracks from CDs without Duplicating Album Information

Ripping Tracks and Cataloguing CDs

If you want to rip Tracks from CDs and also catalog your Audio CD collection, simply ripping your Audio CDs will result in duplicate entries for any Tracks that you rip. The Track will appear once for the CD version of the Track and a second time for the ripped version. To avoid this, use the Virtual CD:

  1. If you haven't already, Configure the Virtual CD.
  2. Select any Track(s) and click 'Save to Virtual CD', or drag and drop the Track(s) to the Virtual CD.

MediaMonkey will then:

  • Add the physical CD to the Library.
  • Rip the selected CD Audio Tracks to the Virtual CD, so that duplicate entries aren't created for the physical CD and the ripped Track. For audio Tracks on the CD that are already compressed, the files will simply be saved to the Virtual CD as is.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.

Once you remove the CD, you'll notice that in the Library, the Locations View has an entry for the CD, and all of the Tracks on the CD are part of the Library. The Tracks that are accessible (i.e. those that were ripped to the Virtual CD) appear in black, while the songs that are inaccessible (because they weren't ripped and the CD isn't inserted) appear greyed out.


Ripping Tracks from Large Numbers of CDs

Ripping/Saving Tracks from Large Numbers of CDs

If you want to selectively get Tracks from many CDs, chances are that you'll probably want to listen to a Track, decide whether or not you want to add it to your collection, and then add it to a list of Tracks to get later on (you wouldn't want to rip it right away because that would prevent you from listening to the other Tracks and CDs that you want to evaluate). MediaMonkey allows you to do this easily, using the Virtual CD Queue, as follows:

  1. If you haven't already, Configure the Virtual CD .
  2. Insert your CD.
  3. Listen to Tracks, and select the ones that you want to rip (or copy).
  4. Click Copy to Virtual CD Queue .
  5. Repeat steps 2 to 4 until you've gone through all of your CDs.
  6. Click the Virtual CD Queue node, and and click Save to Virtual CD . MediaMonkey will rip the selected CD Audio Tracks or copy the Tracks as is (if they are already compressed) to the Virtual CD. If a Track cannot be found because the CD is no longer inserted, you will be prompted to insert the CD.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.

Once all of the Tracks from all of the CDs have been saved to the Virtual CD, you'll notice that in the Library, the Locations node has an entry for each CD, and all of the Tracks on the CD are part of the Library. The Tracks that are accessible (i.e. those that were saved to the Virtual CD) appear in black, while the Tracks that are inaccessible (because the CD isn't inserted and the Tracks weren't saved) appear greyed out.


Creating Previews

Previews--short samples of your audio Tracks, can easily be created with MediaMonkey. They are useful if you:

  • Want to quickly sample the content of a CD
  • Want to show a large number of Tracks in your collection to someone else
  • Want to play 'Name That Tune'

To create a preview:

  1. If you haven't already, set the Preview Configuration options.
  2. Select the Tracks for which you want to create Previews (if you have a very large collection, this is most easily done by Creating a Playlist).
  3. Press Tools > Save Preview .

The previews will be visible in the Previews View.


MP3 Encoding Settings

To configure MP3 encoding options, click the Settings button in the Virtual CD Configuration dialog, the Convert Audio Format dialog, or the Rip Audio CD dialog.

MediaMonkey has a broad range of MP3 encoding options, allowing you to choose from a range of optimized preset configurations, or to set encoding options manually. What follows is a description of each of the presets, to help you choose the setting that's right for you (if you want to learn the intricacies of manual MP3 encoding options, you can find information via several of the links below.

Preset | Quality | Bandwidth | Recommendation
Compatible, CBR 96 kbps | Fair | Low, inefficient | Useful if MP3s are to be played on a low storage capacity portable/device that is incompatible with VBR formats.
Compatible, CBR 128 kbps | Average | Low, inefficient | This preset is fairly popular despite the average quality level, mainly because quality is adequate and it can be played on low memory portable/devices that are incompatible with VBR formats.
Compatible, CBR 160 kbps | Good | Medium, inefficient | Useful for encoding MP3s at a decent quality level when the MP3s are to be played on a device that is incompatible with VBR formats.
Medium (fast), VBR ~160 kbps | High | Medium, efficient | Recommended for encoding MP3s at a high quality level, at which only some users will be able to distinguish it from the original. It encodes slightly faster than the Medium preset, but at a slightly reduced quality level.
Medium, VBR ~160 kbps | High+ | Medium, efficient | Recommended for encoding MP3s at a high quality level, at which only some users will be able to distinguish it from the original.
Compatible, CBR 192 kbps | High+ | High, inefficient | Useful for encoding MP3s at a high quality level when the MP3s are to be played on a device that is incompatible with VBR formats.
Standard (fast), VBR ~192 kbps | Very High | High, efficient | Recommended for encoding MP3s at very high quality levels, at which only a small proportion of listeners will be able to distinguish it from the original. It encodes slightly faster than the Standard preset, but at a slightly reduced quality level.
Standard, VBR ~192 kbps | Very High+ | High, efficient | Recommended for encoding MP3s at very high quality levels, at which only a small proportion of listeners will be able to distinguish it from the original.
Extreme (fast), VBR ~256 kbps | Near CD | Very high, efficient | Recommended for encoding MP3s at near-CD quality levels for very discriminating music listeners (with plenty of hard disk space). Only a very small proportion of listeners will be able to distinguish these MP3s from the original. Note that it encodes slightly faster than the Extreme preset, but at a slightly reduced quality level.
Extreme, VBR ~256 kbps | Near CD+ | Very High, efficient | Recommended for encoding MP3s at near-CD quality levels for very discriminating music listeners (with plenty of hard disk space). Only a very small proportion of listeners will be able to distinguish these MP3s from the original.
Insane, CBR 320 kbps | Highest | Insanely high, inefficient | Recommended for encoding MP3s at the highest level possible. It's for very discriminating music listeners (with hard disk space to burn). Only a very small proportion of listeners will be able to distinguish these MP3s from the original.
Phone, ABR ~16 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
Short Wave, ABR ~24 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
AM, ABR ~40 kbps mono | Poor | Very low, fairly efficient, predictable | Useful for low quality recordings, when bandwidth used needs to be constrained to a predetermined average.
Voice, ABR ~56 kbps mono | Fair | Very low, fairly efficient, predictable | Useful for fair quality voice recordings, when bandwidth used needs to be constrained to a predetermined average.
Tape, ABR ~112 kbps | Average | Low, fairly efficient, predictable | Useful for average quality music recordings, when bandwidth used needs to be constrained to a predetermined average.
Hifi, ABR ~160 kbps | High | Medium, fairly efficient, predictable | Useful for high quality music recordings, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Medium or Medium (fast) presets are preferable.
Hifi+, ABR ~192 kbps | Very High | High, fairly efficient, predictable | Useful for very high quality music recordings, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Standard or Standard (fast) presets are preferable.
Studio, ABR ~256 kbps | Near CD | Very high, fairly efficient, predictable | Useful for encoding MP3s for very discriminating music listeners, only when bandwidth used needs to be constrained to a predetermined average. Otherwise, the Extreme or Extreme (fast) presets are preferable.

Related Information:

Ripping and Digital Audio Compression Formats

Adding Audio Tracks and CDs

Hydrogen Audio (see the MP3 faqs)


Editing Tracks

Tracks can be easily modified in a number of ways. See the links below for details:

  • Manually editing properties of single or multiple Tracks (Editing Track Properties)
  • Automatically lookup and edit track properties and album Art via the Internet (Auto-Tag from Amazon)
  • Automatically editing properties of single or multiple Tracks (Auto-Tag from Filename)
  • Synchronizing Track tags that are not in synch with the Library (Synchronizing Tags)
  • Automatically Organizing (moving and renaming) Tracks (Auto-Organize Files)
  • Converting Compression Formats

Related Links:

About Track Properties


Editing Track Properties

Track properties can be easily edited in several ways. Note that whenever properties are changed, by default, associated tags are updated (see Tag Configuration for details). If the tag is malformed, it may not automatically update (see Synchronizing Your Tags for details).

Quick Edits via the Explorer

The MediaMonkey Explorer allows you to quickly make simple changes to Track properties:

  • You can update individual Tracks' properties, by clicking it in the Track list, and making the desired change. This is very useful when you are browsing through your library, and notice an error that you want to rapidly correct. The downside is that only the most common properties can be viewed in the Explorer.
  • You can also edit Album or Artist properties of multiple Tracks by clicking any Artist or Album in the Tree and renaming it. The new name will propagate to all Tracks associated with the Artist or Album (except in the case of Multiple Artist Albums). For example, renaming Artist : 'Michel Jakson' to 'Michael Jackson' in the tree, will cause all Tracks by 'Michel Jakson' to be changed to 'Michael Jackson'.
  • You can drag and drop, cut and paste, or copy & paste Tracks from one node to another to change the Tracks' properties. For example:
    • Dragging a Track from Artist: 'Michel Jakson' to Artist : 'Michael Jackson' will change the Artist for the Track to 'Michael Jackson' .
    • Cut ( <Ctrl><x> ) a Track from Genre: Pop and Paste ( <Ctrl><v> ) to Genre : Rock will change the Genre for the Track.

Quick Edits of Ratings and Classifications

To change ratings of any Track on the fly, right-click any Track or right-click on the system tray icon and select My Rating.

To change ratings and classiifcations on the fly, enable the Categorize Toolbar. Right-click anywhere on the Toolbar, and enable Categorize. This toolbar will allow you to change the Rating, Tempo, Mood, Occasion, or Quality in a flash.

Edit via the Properties Dialog

If you want to have access to all of a Track's properties, you'll need to perform edits via the Properties Dialog--simply click Edit > Properties . Change the desired fields, and press 'Ok'.

Note: If you want this dialog to remain open so that you can edit other Tracks in your Library, click View > Properties . To commit any changes you've made to the current Track and edit the previous/next song, click one of the arrows.

Edit Properties of Numerous Tracks at Once

To change the properties of several Tracks at once, select the Tracks you want to edit, click Edit > Properties , and make the desired change to any property. Make certain that the property you wish to change is checked and click 'Ok' -- the changes will be made for all of the selected Tracks.

Related Information:

Editing Album Art

Auto-Tag from Amazon

About Track Properties


Editing Album Art

Album Art appears in the main window by clicking View > Album Art. Album Art can be edited in several ways: via the Album Art window, via the Properties Dialog, or via the Auto-Tag from Amazon function. In all 3 cases, it is possible to save Album Art directly to the tag or to save Album Art images to a specified directory.

Most users prefer to have Album Art stored in their Tracks' tags, however, this is not supported by all audio formats. An alternative is to store Album Art in the Track's folder, however, this should preferably be done after first organizing Tracks into /Album directories--failure to do so may cause Album Art to be associated to Tracks from other albums on rescans. A third Alternative is to store all Album Art to a single common folder.

Edit Album Art via the Album Art Window

The Album Art window allows you to quickly Add/Remove/Edit Album Art:

  • Copy and Paste or drag and drop an image from anywhere on your PC into the Album Art Window. You'll be able to choose the location to which the image should be stored.
  • Right-click Add Image to add a new image that you've downloaded. You'll be asked to browse for the image, and then given the choice of adding the image to all Tracks on the same Album. You'll also be able to choose the location to which the image should be stored.
  • Right-click Remove Image to remove the image that appears. You'll be given the option of removing the image from all tracks on the same album.
  • For more involved operations such as editing of multiple images, right-click on Edit Album Art Properties. This will bring you to the Properties Dialog (see below).

Edit Album Art via the Properties Dialog

To edit multiple Album Art images, click Edit > Properties, and select the Album Art tab in the Properties Dialog. All images associated with the track will appear; simply click Add or Remove to change the images associated with the track.

Note that if you attempt to edit the images associated with multiple tracks by selecting several tracks and then clicking Edit > Properties, it is only possible to add images (future versions will allow images for multiple tracks to be displayed, added, or removed).

Adding Album Art

The simplest means of adding Album Art is by selecting a set of tracks and right-clicking Auto-Tag from Amazon. See Auto-Tag from Amazon.

Related Information:

About Track Properties


Getting and Updating Track Information from the Internet

Lookup CD Album Information from Freedb

Whenever a new Audio CD is inserted, information about the CD is automatically looked up in the Freedb database and appears in the CD node in My Computer. If there's a direct match to your CD, the information will automatically appear, and if there are multiple matches, you'll be prompted to select the correct Album from several options. To requery the Freedb database, simply click Tools > Get Album Info from Freedb (this only works when a CD is inserted).

If a new Data CD (containing MP3s) is inserted, you'll be prompted to manually identify the CD with a 'label'.

Lookup and Update Track Information/Album Art from Amazon

If you have tracks that are missing information or Album Art, you can lookup and import the missing information by clicking Tools > Auto-Tag from Amazon. This will return Albums from Amazon that contain the Artist, Album, and Title information in your tracks (without sending any personal information to Amazon). Once you've located a relevant Album:

  1. Check off the properties that you wish to update.
  2. Update the # column of your Tracks to match the Track # of the tracks in the Album you've located, to match the properties of the looked up track to your track.
  3. Manually update any other properties that you wish to from your list of tracks.
  4. Click the Auto-Tag button to automatically update the properties of your Tracks.

Once you're done, click the 'Close' button to exit the dialog.

By clicking the Options button you can configure:

  • Which Amazon database to use (US, Germany, etc.)
  • What Albums from the database to lookup
  • Where to store Album Art

Getting Additional Track information

If you have tracks that are still missing information (for example 'Year' information is sometimes missing from Amazon), click the web node, to access several databases containing information about 1000's of tracks.


About Album Properties

Editing Album Properties

Within the properties for any Track, there are several fields that are specific to Album attributes. Specifically, Album and Album Artist. These fields are edited in the same way as any other, but affect how Albums are displayed in the MediaMonkey Explorer in a manner that might not be obvious at first.

Single Artist Albums

For a set of Tracks that are part of an Album by a single Artist, the Track Artist and the Album Artist will be identical for every Track on the Album. Thus any operation that changes the Track Artist (e.g. Drag and Drap from Artist 1 to Artist 2) will automatically change the Album Artist.

Multiple Artist Albums

Multiple Artist Albums are slightly more complex as they have a common Album Artist (often called 'Various' or 'Various Artists'), but multiple Track Artists. For instance, "The Big Chill" has an Album Artist of 'Various Artists' but the Track Artist for "I Heard it through the Grapevine" is 'Marvin Gaye'. This will be represented in the Tree:

In the Albums node as:

The Big Chill (Various)

In the Artists node as:

Marvin Gaye - Track: I heard it through the Grapevine

Various - Album: The Big Chill

Thus you can easily find the Tracks by any individual Artist, as well as the Albums by the Album Artist. If you Drag and Drop a Track from an Album in which the Track and Album Artists do not match, from one Artist to Another, only the Track Artist will change. Similarly, if you drag the Album from one Artist to another, only the Album Artist will change.

Combining Tracks into a Multiple Artist Album

If you have several Tracks that are all part of the same Album, but the Track Artists are all different, and for each Track, the Track Artist = Album Artist, then your Tracks will not be represented properly in the Tree, since the Album Artist is incorrect for every Track.

You can correct this type of situation through the following steps:

  1. In the Explorer Tree, click /Library/Files to Edit/Multiple Artist Albums. You will be shown a list of all Albums which contain multiple Tracks by different Artists, yet for which the Track Artist = Album Artist.
  2. For any Album in this list, select the Tracks that are part of a single Album, and right-click to get tot he context menu, and then click Change Album Artist.
  3. A dialog will appear allowing you to edit the Album Title and the Album Artist. Make the appropriate changes, and press 'Ok'.

The properties and tags will update, and the Tracks and Albums will now display properly.


Auto-Tag from Filename

To automatically modify Track properties based on filename information, use Auto-Tag from Filename. This is very useful when you have Tracks with no Tags/Properties and you wish to fill these based on information contained within the filename. To do so:

  1. Select the Tracks whose properties you wish to update. Make sure that the selected Tracks all have filenames that follow the same format.
  2. Click Auto-Tag from Filename from the Tools menu.
  3. Choose the format used for the filenames, by clicking the <Artist>, <Album>, etc. buttons, and placing any separators that your original files use (e.g. '-' or '_' or '|') between the different attributes so that properties are filled in accurately.
  4. At this point, you can configure Update Empty Fields Only if you only want properties to be filled in from the filename only when they are unknown. You can also configure Remove Underscores if you want all underscores to be removed from the resultant properties.
  5. A list will be generated showing the current properties and the new properties (changed properties are highlighted in yellow). If any of the new properties are incorrect, edit them as needed by clicking the relevant field, or uncheck them.
  6. Click Ok to commit the changes to all the checked Tracks.


Synchronizing Your Tags

In some circumstances, the Track properties that appear in the Library will not match those that are in your Tags. Such tracks are displayed in the /Library/Files to Edit/Unsynchronized Tags node with the unsynchronized field highlighted in yellow. Occasionally some tracks will not have any fields highlighted; this is usually the case when fields that do not appear in the tracklist (e.g. comments) are desynchronized. Tags can appear in this node if:

  • Adding Tracks to the Library. If missing properties are inferred from filenames, tags are not updated.
  • One version of a tag matches the library (e.g. ID3v2) but another version doesn't (e.g. ID3v1). Note that for MP3 files, the list shown will depend on Tag Configuration:
    • If MediaMonkey is set to write ID3v1 Tags: Only Tracks whose ID3v1 properties don't match the Library are shown.
      Note: ID3v1 has a number of constraints including: Track#s< 256, field lengths are often limited to 28 characters, and unicode is not supported. Differences between the tag and the library that are caused by these constraints are ignored.
    • If MediaMonkey is set to write ID3v2 Tags: Only Tracks whose ID3v2 properties don't match the Library are shown.
    • If MediaMonkey is set to write ID3v1 and v2 Tags: Tracks whose ID3v2 or ID3v1 properties don't match the Library are shown.
      Note: ID3v1 has a number of constraints including: Track#s< 256, field lengths are often limited to 28 characters, and unicode is not supported. Differences between the tag and the library that are caused by these constraints are ignored.
  • A change is made to a Track property, but a malformed tag prevents the tag from being saved correctly.
  • The option in the Tag Configuration panel to Immediately Write Tags is disabled.

In these cases it is possible to manually update any Tags that are not in synch with the Library. To do so:

  1. In the Explorer, select /Library/Files to Edit/Unsynchronized Tags . A list of Tracks with Tags that are not synchronized with the properties that appear in the library, and fields that are not synchronized will be highlighted.
  2. Edit any of the Track properties, if you wish.
  3. Select the Tracks whose Tags you wish to update with the information that appears in the Library, and click Tools > Advanced Tag Management > Synchronize Tags . The tags will be updated as configured in Tag Configuration.
  4. For some MP3 Tracks, attempts to synchronize tags may fail due to malformed tags. In these cases, use the Clean Tags function to remove the tags and then synchronize tags afternwards.


Cleaning Your Tags

In some circumstances, it may be necessary to clean MP3 tags. This is the case when:

  • Tags are malformed resulting in failed attempts to write/update the tags. In this case it is generally advisable to clean ID3v1 and v2 tags.
  • The Tracks are to be played on a device that gets 'confused' by some tag types. In this case you can simply clean ID3v1 or ID3v2 tags, as required.

In these cases it is possible to remove the MP3 tags and then rewrite new tags with information contained in the Library. To do so:

  1. In the Explorer, select the Tracks whose tags you wish to clean.
  2. Click Tools > Advanced Tag Management > Clean (ID3v1 | ID3v2 | ID3v1 and v2) Tags.
  3. Important: If you've cleaned ID3v1 and v2 tags, remember to synchronize the tags after you've cleaned them.


Organizing Files and Folders

Moving Tracks Manually

Tracks can easily moved from one folder to another:

  1. First select any group of Tracks in the Track list of the MediaMonkey Explorer.
  2. Drag and Drop the selected songs into another folder contained within the Locations or My Computer node. Alternatively, right-click and use the Send-to Folder command.

All of the songs will be moved from their original location to the new location and the Library will be updated. If the all Tracks in the folder are moved, then you'll also be given the option to move any accompanying files such as Album Art or Lyrics.

Changing Filenames Manually

Tracks can easily be renamed by clicking the Filename or Path column for any Track in the Track list, and then changing the filename.

Alternatively, Tracks can be renamed from within the Info tab of the Properties dialog.

Auto-Organize Files

Tracks can also be automatically organized into a directory structure and filename format of your choice. This is done via the Auto-Organize Files function, which uses existing Track properties to move and rename files according to a specified format. For instance, you could organize all of your Tracks in the following format: C:/Music/<Artist>/<Album> - <Title>.xxx . To do this:

  1. Select the Tracks that you wish to reorganize/rename, and click Tools > Auto-Organize Files.
  2. Choose the Directory, directory format, and filename format to be used for the Tracks.
    See Configuring Directory and Filename Formats.
  3. A list will be generated showing the current directories/filenames and the new directories/filenames (changes are highlighted in yellow). If any of the new directories/filenames are incorrect, edit them as needed by clicking the path and editing it, or uncheck them.
  4. Enable 'Delete emptied folders' if you wish the folders to be deleted after all tracks have been removed.
  5. Click Ok to commit the changes to all the checked Tracks.

When Tracks are re-organized, it may result in old directories becoming empty. If this occurs, you will be prompted whether to delete the empty directory. If the all Tracks in the folder are moved, then you'll also be given the option to move any accompanying files such as Album Art or Lyrics.


Converting Formats

MediaMonkey allows you to convert tracks in your Library from one compression format to another while transferring Track properties into the destination format's tags. This is useful if you have a device that only supports one format (e.g. if have a portable MP3 player you may want to convert OGG files to MP3). Note that when converting from one lossy compression format to another, there is always some loss in fidelity. To maintain the highest possible quality for your collection, do not replace the original file.

To convert, select the Track(s) you want to convert and click Tools > Convert Audio Format . The Convert Audio Format dialog will appear, from which you may configure:

  1. Whether to replace the original files or convert the files to a new destination.
  2. The compression format to be used for ripping the Tracks. See Ripping & Digital File Formats .
  3. Whether the volume of the Tracks should be leveled as they are encoded. This is slightly different from just analyzing the volume levels, since in addition to performing the analysis, this actually modifies the volume levels of the converted Track.
  4. The Directory and Filename format to be used for the new Tracks. Choose the format in which your files will be saved by clicking the <Artist>, <Album>, etc. buttons, and click the folder button if you wish to save to a different folder than the source files. Note that if you have not changed the directory or format used, the conversion may replace existing files.

    See Configuring Directory and Filename Formats .

Press 'Ok' to proceed with the conversion.

Note: If you wish to interrupt this process at any time, simply right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.


About Track Properties

Shown below is a table of all properties stored in the Library vs. which properties are stored in Tags. 'Yes' indicates that the information is included in the tag, 'No' indicates that it isn't, and 'Non-Standard' indicates that it is included, but that no clear stardard exists for how this field should be tagged, and consequently it may not be readable by other media players.

Property | MP3 (ID3v2) | OGG | WMA | MPC (APEv2) | FLAC (OGG) | APE (APEv2) | WAV (RIFF)*
Track Title | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Track Artist | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Album Title | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Album Artist | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Year | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Genre | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Track # | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Rating | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Comment | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Album Art | Optional | No (folder only) | Optional | No (folder only) | No (folder only) | No (folder only) | No (folder only)
Composer | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Lyricist | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Involved People | Yes | No | No | No | No | No | No
Original Title | Yes | No | Yes | No | No | No | No
Original Artist | Yes | No | Yes | No | No | No | No
Original Lyricist | Yes | No | Yes | No | No | No | No
Original Year | Yes | No | Yes | No | No | No | No
Beats Per Minute | Yes | No | Yes | No | No | No | No
ISRC | Yes | Yes | Yes | Yes | Yes | No | Yes
Publisher | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Encoder | Yes | Yes | No | Yes | Yes | Yes | Yes
Copyright | Yes | Yes | Yes | Yes | Yes | Yes | Yes
Classification: Tempo | Non-Standard | No | No | No | No | No | No
Classification: Mood | Yes | No | No | No | No | No | No
Classification: Occasion | Non-Standard | No | No | No | No | No | No
Classification: Quality | Non-Standard | No | No | No | No | No | No
Lyrics | Yes | No | Yes | No | No | No | No
Custom Field 1 | Non-Standard | No | No | No | No | No | No
Custom Field 2 | Non-Standard | No | No | No | No | No | No
Custom Field 3 | Non-Standard | No | No | No | No | No | No
Volume Leveling Coefficient | Yes | Yes | No | Yes | Yes | Yes | Yes
Times Played | No | No | No | No | No | No | No
Related Library Entry (for Tracks on Virtual CD) | No | No | No | No | No | No | No

Note: Several non-standard tags written by MusicMatch are read but not written, since they are in a non standard format (Preference, Mood, Tempo, Occasion). For MPC and APE Tracks, APEv1 tags are read if APEv2 tags are absent.

*MediaMonkey also supports MusicMatch, AudioGrabber, and Broadcast Software International InfoEdit tag support for .wav files.


Exporting Tracks

Synchronizing Tracks to Portable Devices

You can easily synchronize your Tracks and associated metadata (Album Art, play history, etc.) with iPods and most popular portable devices or media servers and subsequently manage the contents of that device. There are several means of doing so:

    • Automatic Synchronization (Auto-Synchronize): This is the simplest and most powerful means of device synchronization. It allows you to synchronize the entire library or a subset thereof. The subset may be defined by a set of playlists or AutoPlaylists, which means that pretty much any criteria can be used to define which Tracks to synchronize.
    • Manual Synchronization (Synchronize-Selected): This option is useful when you want to manually select a set of files and playlists to be synchronized to your portable device.
    • Manual Copying: This is useful when you want to perform one-time operations that ignore synchronization settings

Once a device has been configured and connected, it appears as a node in the Tree. From this node it is possible to view/edit/delete/copy tracks on the device (depending on the device and the plug-in used), and if the device has its own database, to update the device database. Note that tracks that appear in this node are not part of the Library.

Automatic Synchronization

  1. Configure your device, including synchronization options and the auto-synchronization list.
  2. Set the mode of the Synchronize button on the toolbar to Auto-Synchronize , and if multiple devices exist, choose one using the small button adjacent to the Synchronize button.
  3. Connect your device to your PC and click the Synchronize button.

Tracks and Playlists will be synchronized with your device per your configuration.

Synchronizing Manually Selected Tracks

  1. Configure your device, including synchronization options.
  2. Connect your device to your PC.
  3. If there's not much space available on the device, delete some Tracks via the Device node.
  4. Select a Playlist, AutoPlaylist or a group of tracks and drag them onto the Device node.
    or
    From the Now Playing Dialog, click Copy > Copy to Portable Device.
    or
    If you plan on always synchronizing in this manner, set the mode of the Synchronize button on the toolbar to Synchronize Selected (using the small button adjacent to the synchronize button), and if multiple devices exist, select one. Then Select a Playlist, AutoPlaylist, or group of Tracks and click the Synchronize button.

The selected Tracks and Playlists will be synched and automatically organized on the device per your configuration.

Copying Tracks Manually

To simply copy tracks to a device without using synchronization functionality, use the Send To > Folder (My Computer) option that is available when right-clicking any Track. This will only work for USB Mass Storage devices.

Disconnecting a Portable Device

MediaMonkey can be configured to automatically close the connection to the PC after synchronization. If this feature is not enabled, then take the following steps to disconnect:

  • With an iPod or USB Mass Storage Device, click 'Safely Remove Device' to terminate the connection.
  • With an 'Plays for Sure Device' simply disconnect the device (no 'Safely Remove Device' option is provided).

Related Information:

Configuring Device-specific settings

Configuring Synchronization Options

Configuring which Files to Synchronize

Configure Auto-Conversion Rules


Burning a CD

Burning a CD/DVD

MediaMonkey allows you to Burn an Audio CD that can be read by any standard CD Player, or a Data CD/DVD or set of Data CD/DVDs that can be used to back up your collection or to play it on another player that supports MP3s or other digital audio formats.

Burn an Audio CD

  1. Create a Playlist consisting of the Tracks you want to burn (optional).
  2. Select the Playlist or Tracks that you want to Burn.
  3. From the Tools menu or from the Copy menu in the Now Playing Dialog, click Burn CD/DVD. A Wizard will open.
  4. Step through the Wizard, configure CD Settings (see below), and press 'Burn'.

An Audio CD that can be played on any standard CD Player will be burnt.

Burn Data CD/DVD(s)

  1. Select the Playlist or Tracks that you want to Burn.
  2. From the Tools menu or from the Copy menu in the Now Playing Dialog, click Burn CD/DVD. A Wizard will open.
  3. Add or remove content that you wish to include on the CD/DVD. Note that if the content selected exceeds the space available on a single disc, you will be prompted to insert additional discs until the entire selection has been burnt.
  4. Choose the format in which the disc should be burnt.
    1. Choose the 'disc format'. This is the format that is used by default for all tracks that will be burnt to the disc. See Configuring Directory and File Formats for details. Note that the format chosen affects the order in which they will be burnt--i.e. tracks are burnt in alphabetical order (this is relevant if you will use disc in a device that plays tracks in the order in which they've been burnt).
    2. Enable 'Burn Playlists to:' if you wish to burn Playlists in an alternate format that preserves track order.
    3. Enable 'Burn .m3u Playlists' to burn .m3u playlist files for the nodes that you've selected
      Organize playlists using 'prefix for each playlist type' will cause all playlists to be burnt to a single directory, and playlists for a specific Artist will be prefixed by the word 'Artist - '. If you organize the playlists using 'directory for each playlist type' then playlists will be organized into multiple directories. The latter is more usable, but the former may be preferable for devices with poor navigation tools.
  5. Step through the Wizard, configure CD Settings (see below), and press 'Burn'.

A Data CD/DVD will be burnt.

Burn CD Settings

Write Method

CDs and DVDs can be burnt using 'Disc at Once' or 'Track at once' methods. Disc at Once often yields better results for Audio CDs, as it minimizes the space between tracks and should be used if you wish to include CD-Text. Track at once should be used for multi-session discs.

Finalization

When a CD/DVD is burnt, if 'allow further writing' is configured, it is possible to use it as a multi-session disc and burn it again (assuming space remains on the disc).


Exporting Playlists

If you want to share your Playlists or AutoPlaylists with another application, you can do so by Exporting them as standard .m3u files, which can then be loaded by most media players.

To export specific .m3u files:

  1. Select the Tracks you wish to export from a Playlist
  2. From the File menu click Export to Playlist or right-click Send to .m3u Playlist
  3. Choose a folder and filename (xxxxx.m3u) for the Playlist

The Playlist will be saved as xxxxx.m3u, which can then be opened by another media player.

To export all Playlists as .m3u files:

  1. From the Tools menu select Scripts > Export all Playlists
  2. Choose a folder for the Playlists

The Playlists will all be saved as .m3u files.

Related Information:

Exporting Tracks


Exporting Track List Reports

Generating Reports

With reports, you can easily generate Statistics about your collection, or create Track listings in HTML, an excel spreadsheet, a CSV file, or an XML file.

To generate a Statistics report, click File > Create Reports > Statistics.

To generate a Track List report:

  1. Select all of the Tracks you would like to export.
  2. From the File menu, select Create Reports > Track List.
  3. Choose a format for the exported list.
  4. Choose a destination folder and filename.

Note that Track Lists are created using MediaMonkey scripting functionality. You can customize the exported Track Lists by Creating Custom Scripts.


Scripts

Extending MediaMonkey's Functionality

MediaMonkey offers scripting support, providing a powerful way to enhance its functionality. Scripts can be created by anyone who is moderately technically proficient, and installed by any user.

To add custom functionality:

  1. Create a script (e.g. Newscript.vbs) or locate an existing script and save it to MediaMonkey's /scripts or /scripts/auto folder
  2. Define the script in MediaMonkey's "\Scripts\Scripts.ini" file (only required for scripts that aren't copied to /scripts/auto folder)
  3. Restart MediaMonkey

Creating a Script

The scripts used by MediaMonkey are compatible with the Windows Scripting Host, meaning that you can use any language supported by this host, although most users use VBScript. Simply create a script (e.g. Newscript.vbs) and save it to /Program Files/MediaMonkey/Scripts/ .

In order to work with MediaMonkey’s objects from your scripts, an ‘SDB’ object is always available allowing you to access its properties and methods. If you wish to access MediaMonkey's scripting functions from outside of MediaMonkey, (e.g. via an ASP page), you can create this object with the following code:

Dim SDB
Set SDB = CreateObject( "MediaMonkey.SDBApplication")

Note: “MediaMonkey init.vbs” file is always executed before your script and therefore contains some constants that may be used afterwards within your script.

More information about the properties and methods of the SDB object and related objects, along with sample code can be found in MediaMonkeyScripting.chm. A good and fairly complex example of a script is Export.vbs (distributed with MediaMonkey) which contains code responsible for MediaMonkey's export/reporting functionality.

Defining a Script

Edit the C:\Program Files\MediaMonkey\Scripts\Scripts.ini file to include information about the newly created script. This file is a standard .ini file where each section defines one custom script. Each section contains the following information:

    [SectionName], appears first, where ‘SectionName’ is a unique identifier for the script.
    Filename= Name of a file where the script is located, e.g. ‘MyScripts.vbs’.
    ProcName= Name of a procedure to be called when the script is executed in MM. This procedure must exist in the ‘Filename’ specified above.
    ScriptType= Defines type of the script:

      0 = A standard script that appears in Tools\Scripts submenu.
      1 = An export script that can be found in File\Export submenu.
      2 = A procedure that is called whenever a new Track is started. This script doesn’t appear in any menu, it’s simply called in the background. When this procedure is executed, there is ‘CurrentTrack’ variable of SDBSongData object defined and you can use it to get information about the Track.

    Order= Defines the order of the script in its section. These numbers are sorted and scripts are listed within their associated menu in according to their order.
    DisplayName= The script is listed under this name in MediaMonkey menu.
    Description= This is shown as a tooltip when mouse is over the script's menu entry.
    Language= Is usually VBScript, but can be any other scripting language, e.g. JScript.
    Shortcut= Can specify a shortcut that will invoke the script in MM. You can use any of the string ‘Shift+’, ‘Ctrl+’ or ‘Alt+’ even combined together and followed either by a single letter or by a special key, which are: BkSp, Tab, Enter, Esc, Space, PgUp, PgDn, End, Home, Left, Up, Right, Down, Ins, Del.

Related Information:

See the MediaMonkey Scripts web site to download scripts

See the MediaMonkey Development Forum for more information about scripts and components

See Windows Scripting for more information about scripting in general (e.g. VBScript and JScript)


Customizing MediaMonkey

Customizing the Toolbar

The MediaMonkey toolbar is customizable. Five Toolbars are available providing shortcuts to commonly used functions: Standard, Advanced, Navigation, Edit, Categorize, Search. To enable or disable any of these, right-click anywhere on the toolbar and enable/disable the toolbar in question.

Customizing the View

By default, the MediaMonkey Player and Now Playing appear at the bottom. The positioning of any docked Window can be changed, if desired, by dragging it by the Titlebar to the desired location.

Customizing and Sorting Columns

By default, columns are sorted differently depending on the node selected. e.g. if Artists is selected, Tracks are sorted by Artist. This can easily be changed by clicking the sort indicator at the top of any column. You can also sort by a second column if you wish, by pressing <Ctrl > and clicking a second column header.

The choice of which columns are displayed can be changed, as can their order. To change which columns are displayed, right-click on any column heading and choose which column you want to have displayed. To change the order, simply drag the column heading to the right or left.

Changing the Player's Location

The Player dialog can be docked at several locations on the screen. Simply drag and drop the Player's title bar to the upper left or upper right corners of MediaMonkey to change its location. Clicking the 'Minimize' button causes it to minimize to the Now Playing window, while 'Close' causes the Player to disappear from view (use View > Player to re-enable it). The middle button causes the player to shrink to a quarter of it's normal size.


General Configuration

From the main menu, click Tools > Options > General.

Interface Language

Allows you to choose MediaMonkey's language. You must close and restart MediaMonkey for the change to take effect.

Check For Updates

If this option is enabled, MediaMonkey will check (over the internet) whether a newer version exists.

Allow Just one instance of MediaMonkey

This option forces a maximum of one MediaMonkey window to be open at any time.

Always Show Tray Icon

This causes the MediaMonkey icon to always appear in the system tray. If enabled, it is also possible to enable Pop-up Track info in tray so that each time a new Track plays, information about it will appear in a bubble. By default, this Pop-up appears only when MediaMonkey isn't the active application on your desktop.

Minimize Settings

By default, MediaMonkey minimizes to the taskbar. It is possible though to cause it to Minimize to tray in which case it will appear only in the System tray when minimized. The most powerful option is Minimize to Now Playing , which causes the 'Now Playing' dialog to appear whenever the main application is minimized, giving you some control over your music, even when working in another application.

Close To Tray

This option causes MediaMonkey to never truly close--it always runs in the background, and is accessible via the system tray.

Enable Mouse Gestures for Tray Icon

This allows the Player to be controlled by dragging the mouse across the MediaMonkey tray icon. See Keyboard and Mouse Shorcuts.

Background Tasks Priority

MediaMonkey performs numerous operations such as CD Ripping, Conversion, Tagging, Volume Levelling, etc. in the background. This option sets the priority of these background tasks. By default it is set to 'Lower' so that these tasks don't slow down other operations.


File Type Configuration

From the main menu, click Tools > Options > General > File Types.

The file type configuration panel allows you to select which file types will be associated with MediaMonkey, so that if the file is double-clicked, MediaMonkey will automatically run and play the file.

Some applications are set to 'steal' file associations, so that even if you've configured MediaMonkey to play MP3 files, the other application overides this setting. If this is of concern and you want to be certain that MediaMonkey will run, enable Re-associate file types on startup. This will reset the file associations as configured each time you run MediaMonkey.

For an explanation of various file types see Ripping and Digital Audio Compression Formats.


Confirmation Configuration

From the main menu, click Tools > Options > General > Confirmations.

Confirm desired options on copy of Library folders

If enabled, MediaMonkey will prompt the user whether to copy the entire folder, or only those contents that exist in the Library.

Confirm desired options on move of Library folders

If enabled, MediaMonkey will prompt the user whether to move the entire folder, or only those contents that exist in the Library.

Confirm desired options on removal of Tracks from Playlist

If enabled, MediaMonkey will prompt the user whether to remove Tracks from the playlist, remove them from the playlist and the library, or delete them from the playlist, the library, and the computer system.

Confirm desired options on removal of Tracks from Now Playing

If enabled, MediaMonkey will prompt the user whether to remove Tracks from the Now Playing list, remove them from the Now Playing list and the library, or delete them from the Now Playing list, the library, and the computer system.

Confirm deletion of currently playing Track

If enabled, MediaMonkey will prompt the user whether to delete the currently playing Track from the system, since doing so will cause an interruption of playback.

Confirm rename operations that exceed 64 character CD limit

If enabled, MediaMonkey will prompt the user whether to rename a file when the operation results in a file that cannot be written to an ISO-standard CD. If disabled, the rename operation will proceed without a confirmation.

Confirm desired options on addition of Album Art

If enabled, MediaMonkey will prompt the user whether to store Album Art to a file or save it to a tag.


Party Mode Configuration

To configure Party Mode, click View > Party Mode and then Options...

Secure Party Mode with Password

If enabled will prompt for a password when attempting to exit Party Mode.

Hide Menu Bar

This option completely hides the menu bar (Gold only).

Show in Fullscreen Mode

This option causes MediaMonkey to take up the entire screen. Visualization functionality is disabled in full-screen mode.

Disable switching prevents users from exiting MediaMonkey by switching applications.

Disable Player / Audio Controls

This makes MediaMonkey function more like a jukebox, preventing users from stopping music, switching tracks, or changing volume, balance or equalizer settings, and from double-clicking tracks in the Now Playing list in order to skip tracks.

Disable Repositioning of Dialogs and Controls

This locks the current configuration of Party Mode.

Disable Removal and Reordering of Tracks in Now Playing

This makes MediaMonkey function more like a Jukebox, preventing users from making changes to others selections.

Player Controls

This allows for the player to be controlled in a different manner when in Party Mode. See Player Configuration.


Network Configuration

From the main menu, click Tools > Options > Network. This will allow you configure several options regarding MediaMonkey network connections:

Proxy Server Settings

If you are behind a proxy server, you'll need to enter information about the proxy server--otherwise Net Radio and Freedb lookups will fail. Note that browser windows that are open within MediaMonkey rely on Internet Explorer, and thus Internet Explorer's proxy server settings must be configured appropriately as well.

Freedb Settings

Automatically Query Freedb after CD Scan

Determines whether album information is automatically looked up when a CD is scanned.

Freedb Server Information

Configure the server to use (username and domain are optional). The main freedb server is entered by default, although you may want to change this to a server closer to your location if you find that you are having problems connecting to the server.

Protocol

Freedb connections usually use the CDDBP protocol, although you may want to use HTTP if you are having firewall related problems. If you use HTTP, you can also configure the connection via a proxy server--if you don't know the Proxy Server settings, check with your Administrator. Note: Auto-tag from Amazon uses the proxy settings of Internet Explorer.


Player Configuration

To configure the Player, click Tools > Options > Player or simply right-click on the player and click Setup Player .

Choose Player: MediaMonkey vs. Winamp

MediaMonkey allows you to use the Player that is built into MediaMonkey, or Winamp 2 or 5. Listed below are the main reasons for choosing one player or the other:

MediaMonkey: Supports Volume Leveling, fully integrated with MediaMonkey.

WinAmp2: Support for more plugins.

Double Click Action

This determines what occurs when a Track is double-clicked or <enter> is pressed, when nothing is playing or tracks are playing. Options are Play (track) Now, Play (track) Next, Play (track) Last, or Edit (track) Properties.

'Play (track) Now' plays

This determines what Tracks are played when the Play Now command is run for a single Track. The default behavior is that the selected Track and others subsequent to it in the tracklist play. The alternative is that only the Selected Track plays. Note that whichever option is not chosen can be used by pressing <alt><enter> or <alt><double-click>.

Numeric Keypad Activator

This controls how to enable the Numeric Keypad Shortcuts. By default, when the numeric keypad is off (the Num Lock LED is off) the shortcuts are active. To toggle the Num Lock LED, press the <Num Lock> button.

Show Warning when Track to be played is not Accessible

Displays a warning if a Track in the Now Playing queue is inaccessible (e.g. if it's on a CD that isn't inserted).


Now Playing Configuration

Auto-DJ / Now Playing Configuration

To configure the Auto-DJ and other aspects of the Now Playing queue, click Tools > Options > Player > Auto-DJ / Now Playing.

Auto-DJ Configuration

Enable Auto-DJ

This turns on the Auto-DJ feature which causes tracks to automatically be added to the Now Playing list when it runs out. It can also be activated via the Player menu.

Automatically maintain at least n tracks

This determines when and how many tracks Auto-DJ will add to the Now Playing list when the list begins to empty.

Add tracks from

This determines where Auto-DJ will randomly select tracks from.

Now Playing Configuration

Automatically retain at most n Tracks

This determines how many previously played tracks will be displayed in the Now Playing list.

Related Information:

Automatically Play Tracks with Auto-DJ


Volume Leveling Configuration

From the main menu, click Tools > Options > Player > Volume Leveling. On the configuration panel set:

Baseline Volume Level

This sets the baseline volume level used for leveling track volume when:

  • Tracks are leveled via the 'Level Track Volume' command
  • Tracks are ripped with Level Volume enabled
  • Tracks are converted with Level Volume enabled

If this value is changed, then the the figures that appear in the volume leveling coefficient column of the tracklist will automatically adjust to indicate the difference between track volumes and the baseline.

If you are planning on exporting Tracks to a portable device, you may want to experiment with increases to the Baseline Volume Level.

Analyze Volume only for Tracks with Unknown Leveling Adjustment

This option causes the 'Analyze Volume' command to proceed only on Tracks that do not yet have a volume coefficient calculated. The only reason to disable this is if you're not confident of the co-efficients currently stored.

Target Volume Level for Player

This sets the desired volume level when Level Playback Volume is enabled. This is sometimes known as a pre-amp.

Level Playback Volume

If this is enabled, then the MediaMonkey player will automatically adjust the player volume to the Player's Target Volume, using previously analyzed volume leveling coefficients. It has no effect on Tracks that do not have a volume leveling coefficient.

Target Volume Level for Burning Audio CDs

This value is used to set the volume of Audio CDs that are burned via MediaMonkey, if volume leveling is enabled when the CD is burned.

Clipping Prevention

Clipping prevention ensures that volume leveling doesn't result in clipping of the audio Track. It does so by limiting the volume adjustment when possible clipping is detected.

Related Information:

Volume Leveling

Playing Audio Tracks


Plug-in Configuration

To configure Player plug-ins, click Tools > Options > Player and one of the plug-ins options, or simply right-click on the player and click Configure Current input plug-in or Configure Current output plug-in.

The MediaMonkey Player supports Input, Output, DSP effect, General, and Visualization plug-ins that are compatible with Winamp 2. Input plug-ins generally add support for new audio formats, while Output plug-ins control how MediaMonkey outputs audio. DSP plug-ins usually enhance and/or modify the audio in some way, while General plug-ins often add some entirely new functionality to the application. Visualization plugins enable the display of psychedelic effects as the music plays.

Before you can configure a plug-in, you must install it (although several plug-ins are installed by default as described in the readme file). You can download additional plug-ins from the MediaMonkey www site or from various other locations online. To install a plug-in you'll have to follow either of the following procedures:

  • If the plug-in is provided with an installer, the installer often chooses a default directory of /Program Files/Winamp. Change this to /Program Files/MediaMonkey. If you're unable to change the installation directory, you'll have to install to the Winamp directory and then manually copy the installed .dll file(s) to the Program Files/MediaMonkey/Plug-ins directory.
  • If the plug-in is a .dll, simply copy the .dll to the Program Files/MediaMonkey/Plugins directory, and follow the instructions provided with the plug-in.

Once the plug-in is installed, you can access it from the relevant plug-ins pane (though visualization plug-ins can also be accessed via the visualization button on the main toolbar), and press the Configure button. For DSP Audio Effect plug-ins, you can also set the order in which the plugins process the audio.


Library Configuration

Click the Advanced button in the 'Add Folders' dialog, or the File > Options > Library menu. This will allow you to configure how files will be added to the database from the selected folders:

Infer Track Properties

In cases where the tags do not contain much information, MediaMonkey can get some information such as Artist, Title, or Album from the Filename if this option is enabled. Properties can be inferred from 'Filename' or 'Filename + Path'. Generally, it is better to infer from Filenames only, unless Tracks are arranged in a highly organized directory structure, in which case 'Filename + Path' will yield better results.

It is also possible to specify whether to use 'Tags and then inferred properties', or vice versa. Generally, Tags contain more accurate information, so choosing 'Tags and then inferred properties' will import properties from Tags, and then any missing information will be imported from inferred properties. The only time one would want to use 'Inferred Properties and then Tags' is if it is known in advanced that tags are inaccurate, and filenames contain more accurate data.

Note that the inferred properties are saved in the database, but not saved to the file tags (in case the information is incorrect). Once you've verified the data, you can update the tags manually--see Synchronizing Your Tags.

Get Album Titles and Track Numbers from

This setting defines how Album Titles and Track number properties are added to the Library. Options are 'Tags only', 'Tags then Playlists', and 'Playlists then Tags'. 'Tags only' should always be used, except in cases where a music collection is arranged in such a manner that each collection of Tracks has an associated playlist that defines the Album.

Scan Track directories for Album Art

If enabled, any .jpg, .bmp, .png, or .gif files that are found in a directory, are linked to the Tracks in that directory as Album Art. This link is made only if the Tracks are all from a common album. Note that Album Art that is stored to a tag will always appear in the Library, regardless of this configuration setting.

Remove Underscores When Adding Filenames

This option removes underscores from Filenames when they are added.

Analyze Tracks for Duplicates

This creates a digital signature for the audio content of each Track that is scanned (tags are ignored), so that each Track can be uniquely identified. If any two Tracks are duplicates (i.e. they have matching signatures) they will appear in the Files to Edit > Duplicate Content view.

Ignore Songs

This prevents songs that are less than a specified size (KB) or time (seconds) from being added to the Library, since it's unlikely that you really want such files to appear in your Library.

Update Track info from Tags when re-adding Files

This causes all Tracks that are re-added (either manually by clicking 'Add Tracks...' or automatically via the File Monitor) to be updated--even those that already exist in the database. The effect is that if other applications have been used to modify track tags, the database will automatically update with the changes. The downside to this is that if tags are out of date, they will overwrite the more up-to-date information in the databases (this is not usually an issue since MediaMonkey is configured by default to keep tags up-to-date by writing them immediately --see Tag Configuration ). See Synchronizing Your Tags.

Note: The 'Only for files with changed timestamp or size' option speeds up all scans subsequent to the initial one by limiting re-addition to files that have changed in size or timestamp.

Remove Unused Artists

This causes any Artists that no longer contain any Tracks or Albums to be automatically removed from the Library.

Remove Unused Albums

This causes any Albums that no longer contain any Tracks to be automatically removed from the Library.


Tag & Playlist Configuration

From the main menu, click Tools > Options > Library > Tags & Playlists.

Tag Configuration

ID3 Tag Version

You are given the option of choosing what version of ID3 tags to write for MP3 files: v1, v2, or both. Note that this setting has no impact on which tags are read to populate the Library--MediaMonkey reads ID3v2 tags, and any missing information is obtained from ID3v1 tags. See About Properties for information regarding which properties are stored using each tag version.

ID3V2 Text Encoding

This allows you to use unicode or ascii in id3v2 tags. If you have Tracks with non-English characters, you'll want to use Unicode, however, some players may have trouble reading Unicode tags.

Update Tags Immediately After Editing Properties

Causes Tags to be updated immediately, as soon as changes to Track properties are made.

Modify Timestamp when Updating Tags

This causes MediaMonkey to update the Track timestamp whenever a tag is updated. This should be enabled so that other applications reading the file are aware that a change has been made.

Playlist Configuration

Use Unicode (UTF-8 encoding) for .m3u playlists

This causes MediaMonkey to save .m3u files in a format that preserves non-English characters. Note that some players may not support unicode .m3u playlists.

Create Playlists of Tracks Newly Added to the Library

This option is useful if you wish to automatically create Playlists consisting of newly added Tracks to your library. The main use of this is if you wish to copy playlists of newly added Tracks to a portable device.

Warn When Duplicate Tracks are Added

If enabled, a warning is provided whenever duplicate Tracks are added to a playlist.


File Monitor Configuration

From the main menu, click Tools > Options > Library > File Monitor.

The File Monitor sets the Library to update its contents automatically for Tracks contained within or moved into the specified folder(s). To use this feature:

  1. Click Add Folder, and choose a folder
  2. Specify whether subfolder should also be monitored (generally they should)
  3. Specify whether the chosen folder should be monitored at Startup. If a folder is monitored at startup, then any changes that occured in the Folder while MediaMonkey wasn't running will be detected at startup. If the folder is not monitored at startup, then the only changes that will be detected are those that occur while MediaMonkey is running. Generally, folders should be scanned at startup, however, this slows down the application slightly, which is why some might prefer they not be scanned.
  4. Select 'Remove Unavailable Tracks' if you wish the library to be pruned of any Tracks that have been moved or deleted from a monitored folder. This is extremely useful, but keep in mind that if you move Tracks to a folder that isn't monitored, then the Tracks would be removed from the Library entirely.

See: Automatically Updating the Library


Virtual CD & Preview Configuration

From the main menu, click Tools > Options > Virtual CD & Previews. On the configuration panel set:

Virtual CD Configuration

  • The compression format that you want to use for ripping the Tracks. See Ripping & Digital File Formats .
  • The Directory and Filename format to be used for the new Tracks. See Configuring Directory and Filename Formats .

See Ripping Tracks and Cataloguing CDs for information about using the Virtual CD.

Preview Configuration

  • The compression format that you want to use for ripping the Tracks. See Ripping & Digital File Formats .
  • The start time and duration of each sample to be created.
  • The Directory and Filename format to be used for the Previews. See Configuring Directory and Filename Formats .

See Creating Previews.


CD Ripping Configuration

From the main menu, click Tools > Options > CD Ripping.

On this screen, select your CD-ROM and then set the configuration options for each CD-ROM drive independently. The defaults for CD Ripping will generally work in most configurations, although on some systems, if ripping a CD results in audio that skips, switching Read Type to Jitter Corrected Read may solve the problem.

Read CD-Text causes MediaMonkey to get Track properties embedded directly on an Audio CD in the CD-TEXT format when ripping the CD or adding it to the library. This is often used on Audio CD mixes that have been burned by users, and is very helpful as such CDs cannot be looked up in Freedb.

On the fly encoding speeds up CD Ripping by encoding audio to another format as the audio is being extracted from the CD-ROM. For some drives, especially older ones, this should be disabled as it may reduce the quality of encoded files.


Portable/Audio Device Configuration

To synchronize Tracks and Playlists to an iPod or other portable device, you'll want to first configure the device and synchronization options, as described below:

Choose your device plug-in

Synchronization functionality is enabled via the use of Device Plugins--one Plug-in per device. In most cases, your device is automatically recognized by MediaMonkey as soon as it is plugged in and there is no need to manually choose a device plug-in. As soon as it is recognized, you'll be given the option to Synchronize it, and first-time synchronization will pop up the Device Profile configuration dialog.

If the device has been recognized, but you wish to reconfigure it, simply plug in the device and click the arrow next to the 'Synchronize' button, and click Options. It will bring you to the Device Profile configuration dialog.

If the device isn't automatically recognized by MediaMonkey, it can be configured via Tools > Options > Portable/Audio Devices. Select the most appropriate plug-in and press Configure, to get to the Device Profile configuration dialog.

Plug-in | Description
iPod | This plug-in is used for the iPod, iPod Shuffle, iPod mini, iPod Nano, iPod Video, including 5th generation iPods. It synchs MP3 files and related properties including lyrics, Album Art, ratings, volume leveling information, play history, as well as Playlists. It does not support aac files, though auto-conversion can convert such files if a suitable input plugin has been installed.
WMDM | This plug-in is suitable for most other devices, and is designed especially for 'MTP' devices that are labelled 'Plays for Sure'. This plug-in does not support Synchronization of WMA files protected by DRM 10. It synchronizes whatever audio formats are supported by the device along with related properties including Album Art, ratings, play history, and Playlists (assuming they are supported by the device).
Generic/Portable Device | This USB Mass Storage device plug-in is suitable for any device that appears as a drive letter in Windows Explorer. Although the WMDM driver can often be used with such devices, the generic plug-in is advantageous from a performance perspective for such devices. The generic plugin will synchronize Tracks with all their properties, along with Playlists, however, it will not explicity sync Album Art that isn't saved to a tag, or play history.
iRiver H-series | This plug-in supports the H-120 and H-320 devices by iRiver. These devices are USB Mass Storage devices that could be used with the generic plug-in, however, this plug-in adds support for the iRiver database so that the database is always up to date.

If multiple devices are used, then multiple plugins can be configured--one for each device.

If you are repeatedly prompted to configure a device that you do not wish to synchronize, simply uncheck the device.

Configure the Device Profile

Once you're at the Device Profile configuration dialog, you'll want to:

  1. Configure Device-specific settings
  2. Configure Synchronization Options
  3. Choose which Files to Auto-Synchronize
  4. Create Auto-Conversion rules to convert formats unsupported by your audio device on-the-fly

Related Information:

Synchronizing Tracks to Portable Devices


Auto-Synchronization List Configuration

In order to configure which Tracks and Playlists should be automatically synchronized to a device, the list of tracks and playlists can be configure via Tools > Options > Portable/Audio Devices > Auto-Synchronization List . Note that these settings apply specifically to the use of auto-synchronization (and not manual synchronization of selected tracks).

Synchronize Entire Library

This option causes auto-synchronization operations to copy the entire library to your portable device. This option should be chosen when your portable device has more than enough storage space for your entire collection.

Synchronize Only the Following

This option causes synchronization operations to copy a subset of the entire library to your portable device, the subset being a defined set of Playlists, AutoPlaylists, Artists, or Albums. This gives you tremendous flexibility in deciding what Tracks to copy if your portable device has limited storage space:

    • You can include your favorite Artists: For the few Artists that you must always have on your device
    • You can include your Favorite Tracks AutoPlaylist: Using an AutoPlaylist means that your device will always be updated with whatever Tracks meet your favorite criteria. e.g. All Tracks where rating > 4 stars .
    • You can include a random selection of Tracks that meet a defined criteria: Using an AutoPlaylist, you can automatically update your device with a new set of Tracks each time you synchronize. e.g. 256 MB of music, randomly selected from all Tracks where Genre contains 'Rock' and rating > 3 stars.

Synchronize Random Subset up to Device Capacity

This option will cause each synchronization operation to sync a random subset of the selected tracks, and fill up the device as much as possible. This is very useful when you have a small flash memory device like the iPod Shuffle and want a random selection of your tracks synched on each occasion. The 'Synchronize higher-rated Tracks more often' option' ensures that preference is given to tracks with higher ratings.

Advanced

Enabling Advanced mode causes two additional columns to appear: 'Destination' and 'Copy .m3u'.

By changing the value in the 'Destination' column, it is possible to override the default synchronization destination settings with a custom destination per track. This is useful, for example, if you wish to synchronize Audio Books to a different path than Music tracks. See Configuring Directory and Filename Formats .

By changing the value in the 'Copy .m3u' column, it is possible to override the default .m3u settings so that, for example, .m3u files are copied only for a specific playlist.

Related Information:

Synchronizing with iPods / Portable Devices

Using AutoPlaylists, Using Playlists

Configuring Synchronization Options

Configuring Device-specific settings


Configuring Synchronization Options

To configure the the format of files to be synchronized to a device visit: Tools > Options > Portable/Audio Devices > Synchronization Options

Synchronize Tracks to

This setting allows you to specify the directory structure and filename format used for Tracks that are copied to your portable device. For example to achieve the format of. K:\Music\U2\The Joshua Tree\U2 - Where the Streets Have No Name.mp3, enter \Music\<Artist\<Album>\'<Artist> - <Title> in this field, and all Tracks will be copied in this format. Alternatively you can just enter <Path> and the existing directory structure will be used. See Configuring Directory and Filename Formats .

Copy .m3u Playlists

For devices that do not have their own databases, .m3u playlists can be used to play any given set of tracks in any given order. By enabling this option, .m3u playlist files are also copied to a specified directory on the device for each Artist / Album / Playlist that is synched so that you can play any set of tracks by playing the playlist (instead of trying to manually assemble the playlist on the device). Note that some devices do not support .m3u playlists.

See: Tag and Playlist Configuration (for information about .m3u files or tags that may not be recognized by the device)

Auto-Synchronization Settings

These settings apply specifically to the use of auto-synchronization (and not manual synchronization of selected tracks).

Delete Tracks that aren't on the Auto-Synchronization list from the device

This causes Tracks on the device to be automatically deleted to make room for the new Tracks that are on the Auto-Synchronization List. In general, this option should be enabled, but make certain to copy Tracks to your hard drive before synchronizing if:

      • You've added Tracks to your device from another computer and these tracks do not exist in your Library
      • You've modified the tags of Tracks on your device but not in the Library

Files are deleted only if there are file types supported by MediaMonkey and if they are not contained within directories in the 'Except Folders:' list. Folders in the exception list can be entered as follows:

    • \Books\ . This includes everything in \Folder\ and all of it's subfolders.
    • "\Audio\My Books\" .This is similar to the above except that quotes are required because spaces exist in the path.
    • \*.avi . This includes any .avi files in the path.
    • \Books\,\Recorded\ . Includes everything in \Books\ and in \Folders\. Multiple folders must be separated with ','.

Auto-Synchronize Tracks from the device to the PC

This causes Tracks that have been synched from the Library to the device to be synched back to the Library if the copy on the device is more recent than the copy in the Library. It does not yet synchronize Tracks that are on the device but not in the Library.

Note that Track attributes such as Ratings and Play History will be synced back to the device even if this option is not enabled (this option applies only to the track itself and not to properties that are, for example, stored in the iPod's database).

Auto-Synchronize as soon as the device is connected

This causes auto-synchronization to be initiated whenever the device is plugged into the PC.

Automatically unmount device after Auto-Synchronize

This causes the device to be automatically disconnected after auto-synchronization has completed.

Related Information:

Synchronizing with iPods / Portable Devices

Configuring which Files to Synchronize

Configuring Device-specific settings

Configure Auto-Conversion Rules


Auto-Conversion Configuration

Auto-Conversion allows you to synchronize any track in your collection to your portable device, regardless of whether or not your device supports the format. In addition, auto-conversion can also convert tracks to lower bitrates to make more effective use of the limited storage capacity on a portable device. For instance, if you store your tracks in lossless format (e.g. FLAC) you'll need to convert them to a smaller-size and supported format when syncing to your device.

Whenever the device is Synchronized, any tracks that match a set of auto-conversion rules specified by the user are converted on-the-fly and synced. Several auto-conversion rules are enabled by default. Depending on your needs, you may wish to modify them, disable them, delete them or add new ones. To edit a rule:

  1. Click 'Add new auto-conversion rule', or double-click an existing rule.
  2. Choose the source format (on the PC) that you wish to convert:
    -'Any' format - is useful when you simply want to convert to lower bitrates
    -'incompatible' format - is used when the format on the PC is incompatible with the formats supported by the device
    -any specific format.
  3. Choose the bitrates of the source format that you wish to convert. You can choose 'Any' bitrate if you're converting from an 'incompatible' format, or make more specific rules for specific bitrate ranges.
  4. Choose the format to be used on the device. The default is designed for maximum compatibility and speed, however, more efficient and higher quality settings are available. See: Ripping & Digital File Formats and MP3 Encoding Settings.
  5. Click 'Ok' to save the rule, and then use the arrow buttons to set the order in which the rules should be applied. Click 'Ok' to save the Synchronization settings.

The next time tracks are synchronized, any tracks that match the rules you created will be auto-converted.

Related Information:

Synchronizing with iPods / Portable Devices

Configuring which Files to Synchronize

Configuring Synchronization Options

Configuring Device-specific settings


Configuring Device-specific Settings

In order to synchronize Tracks and Playlists to a portable device, the device may need to be configured with configuration settings particular to that device. The first time you plug-in a device, you will be given the option of synching and configuring synchronization options. These options are available at any time via Tools > Options > Portable/Audio Devices > Device Configuration.

Device Options for iPods

To configure an iPod, you'll want to set it up so that it no longer relies on iTunes. You can do so using either of the following approaches:

  1. Within iTunes:
    - Click Edit | Preferences | iPod | General
    - Disable 'Open iTunes when this iPod is attached'
    - Enable 'Enable disk use'

    OR
  2. Uninstall iTunes

It's also a good idea to delete existing content from the device either via iTunes, or by using the iTunes Updater to restore the device to its factory condition. This ensures that Auto-Synchronization works optimally.

Note:
- If an 'AutoPlay' dialog appears whenever you connect your iPod, you can disable it using Tweak UI.
- AAC and Audible file formats are not presently supported. If you use these formats on your PC, they will not synch correctly to your iPod.

Force iTunes-style folders

This causes synchronization to work in the same manner as iTunes does, regardless of the destination configured in Synchronization Options. This is to ensure compatibility with some versions of iPods or iPod firmware that don't work well otherwise.

Trim path and/or filename length to 31

This causes every portion of the path and the filename to be limited to 31 characters, regardless of the destination configured in Synchronization Options. This is to ensure compatibility with some versions of iPods or iPod firmware that don't work well otherwise.

On 'Rebuild Device database'

Determines what occurs when the 'Rebuild Device Database' command is run by right-clicking the Device node. Either the database on the iPod is rebuilt from scratch, or it is simply updated based on differences between what is on the device versus what is described in the database.

Allow device filesystem browsing

If enabled, causes all folders on the device to appear sub to the device node, allowing you to view and physically manipulate files on the device. Note that the iPod_control folder is hidden by default (this attribute can be changed via Explorer).

Device Options for Generic Portable/Audio Devices

Many MP3 devices are USB Mass Storage devices that simply appear as a drive letter in Windows Explorer. These devices can be synchronized using the generic plugin which has the following configuration options:

Device Name

This is used to identify the device when it appears in the Tree or in the Device List.

Drive Letter / Drive Label / USB Device ID

At least one of these parameters is required in order to configure the device. Fill in whichever of these you know and use the Find Device button, if necessary (note: if multiple devices are configured, it is preferable to use the Device ID since it is unique per device).

Device Options for iRiver Hxxxx Device

Store Database in the following format

Allows for the database to be stored on the device in Unicode or ASCII. Some older devices/older firmware do not handle Unicode correctly, in which case ASCII can be used.

When Synchronizing Update the Database

If enabled, the device database is updated each time the device is synchronized.

When Synchronizing, limit path and filename to: 52

If enabled, the # of characters in the path and filename is truncated to 52. This is needed for some older devices/firmware.

On 'Rebuild Device database'

Determines what occurs when the 'Rebuild Device Database' command is run by right-clicking the Device node. Either the device's database is rebuilt from scratch, or it is simply updated based on differences between what is on the device versus what is described in the database.

Related Information:

Configuring Synchronization Options

Configuring which Files to Synchronize

Configure Auto-Conversion Rules

Synchronizing with iPods / Portable Devices


Appearance Configuration & Skinning

From the main menu, click Tools > Options > Appearance. On the configuration panel you can set several options:

User-friendly Masks

Disabling this option causes masks to appear as they used to in Songs-DB. Recommended for advanced users only.

Ignore Prefixes When Sorting by Artist

This causes MediaMonkey to ignore prefixes when sorting by Artist. For instance, if 'The' is set to be ignored, then 'The Beatles' and 'Beatles' will appear directly adjacent to one another.

Rename Custom Field Headings

This allows you to change the headings that identify each of the custom fields so that a user defined heading appears instead of 'Custom 1'.

Transparency Settings

If you wish to display the Now Playing or Equalizer windows semi-transparently, you may configure this via transparency settings.

Tree Configuration

Several aspects of the tree's layout are configurable:

Show 'All' in Location nodes

Enabling causes an 'All' node to appear in Location nodes, displaying all Tracks in a folder and all of its subfolders. The node can be configured to appear as the first (top) or last (bottom) entry in any node.

Show 'All' in My Computer nodes

Enabling, causes an 'All' node to appear in My Computer nodes, diplaying all Tracks in a folder and all of its subfolders. The node can be configured to appear as the first (top) or last (bottom) entry in any node.

Show .m3u Playlists in My Computer nodes

If enabled, .m3u files will appear directly within My Computer nodes for editing.

Show Net Radio Node

If enabled, the Net Radio node appears in the tree so that radio stations can be browsed.

Show Web Nodes

If enabled, web nodes used for metadata lookup and/or music purchases will appear.

Player Skin

Select the skin that you wish to use with MediaMonkey. If you wish to add a new skin, simply add it to the /Program Files/MediaMonkey/Skins directory.

Note: MediaMonkey skins and icons can be customized. If you have some graphics expertise and wish to pursue this, see Customizing Skins and Icons .

Override Skin theme with Windows System theme

This option causes the standard Windows theme to be used instead of the theme included with the chosen MediaMonkey skin. This is useful if you prefer the standard look of your Windows theme, or if you have a slow system and wish to improve performance slightly.

Note: Enabling this removes of the 'Minimize to tray' and 'Minimize to Now Playing' buttons in the upper right corner of MediaMonkey.

Override Skin Backgrounds

You can override the standard Tree, Tracklist, or Now Playing backgrounds included with a particular skin with customized backgrounds of your choice. The scroll checkbox controls whether the background scolls or not when scrolling through a list.


Customizing Skins

Customizing Skins & Icons

MediaMonkey's look and feel is completely customizable by editing skins and/or icons.

Skins

MediaMonkey skins contain skinning information within a .wsz file in the \Program Files\MediaMonkey\Skins\ directory. The .wsz file can be opened in Winzip, though it's also possible to have skins that are simply saved uncompressed in a .\Skins\ subdirectory (e.g. \Program Files\MediaMonkey\Skins\BlueMonkey\ ). Skins contain the following information:

  1. Player bitmaps. These are bitmaps that determine the look of the player component of MediaMonkey. In general, skins that are compatible with Winamp 2 are also compatible with MediaMonkey. They can be edited with most standard graphics editors. The following bitmaps are used in the player:
    balance.bmp
    cbuttons.bmp
    main.bmp
    monoster.bmp
    nums_ex.bmp
    playpaus.bmp
    posbar.bmp
    shufrep.bmp
    text.bmp
    titlebar.bmp
    volume.bmp
  2. Background bitmaps: these define the background used within some of the major skin panels. They can be edited by most standard graphics editors:
    sdb_background_tree.bmp
    sdb_background_list.bmp
    sdb_background_playing.bmp
  3. MediaMonkey Theme: this defines the overall look and feel of MediaMonkey (e.g. titlebars, borders, buttons, etc.). These files can be edited only with Theme Engine's Theme Editor (this is a bit more complex task than simply editing a graphic):
    theme.mskn

Once you've edited and resaved the files, start MediaMonkey and select the new skin from the Tools > Options > Appearance > Skin menu. Your work of art should appear.

Icons

MediaMonkey icons can also be easily customized, by editing icons with a standard icon editor and placing them to a new directory at :

\Program Files\MediaMonkey\Icons\

Note that you'll have to restart MediaMonkey for the new icons to appear.

For more information see: MediaMonkey Artwork Forum


Multi-user Environments

MediaMonkey can be configured for use in multi-user networked environments. There are two possible approaches to this:
  1. Multiple Clients each using an independent Library database
  2. Multiple clients sharing a common Library database
MediaMonkey presently supports the first option, although numerous users have had success with the second option--see the forum for details.

Multiple Clients / Independent Library Databases

For each client, simply install MediaMonkey and:

  1. Add Folders that are shared by other networked machines
  2. Set the File Monitor to monitor the shared folders for changes so that any changes made by other users to Tracks and their associated Tags will be detected, and the database updated appropriately.

The key issue to remember is that changes are detected based on the actual files and their tags, which means that edits to Track Properties by other users are detected only if they are saved to the Track's Tags. Thus in this scenario it is advisable not to take advantage of fields that are not saved to Tags, unless you don't mind the fact that the data will be lost. For some data (e.g. volume leveling co-efficients) this is a non-issue, however, for other fields it may be of concern.


Managing the Library

MediaMonkey provides a number of facilities to help you manage your Library as it grows in size. For details see:

Updating the Library , for information about using the File Monitor to automatically update your Library when Tracks are added, moved, or changed or how to do perform updates manually.

Maintaining the Library, for information about how to prune and optimize the Library, and manually locate missing Tracks.

Clearing the Library, for information about emptying the Library of its contents.


Updating the Library

MediaMonkey can update Track properties when changes are made to them outside of MediaMonkey.

Manual Updates

For manual updates, select a folder in the My Computer or Location nodes, then right-click and select Add/Rescan Tracks to the Library or press <Insert>.

A dialog will appear, allowing you to choose what types of audio files to scan for, and to modify which folders to scan. In addition it allows you to set several Advanced configuration options . Once you press 'Ok', MediaMonkey will scan the selected locations for the types of files that you chose, and:

  • Add any music files that are found to the Library.
  • Add any .m3u playlists that are found to the Library, along with any of the Tracks contained within the playlists (if they can be found).
  • Update the properties of any Tracks that are scanned, if this has been configured in Library cofiguration options (by default, only Tracks whose filesize or timestamp has changed are updated).

To interrupt this process at any time, right-click on the status bar near the bottom of the screen, and click Terminate. If you wish to reduce the amount of CPU cycles used during the process, you may similarly right-click on the status bar, select Change Priority, and choose a lower priority level.

Automatic Updates

MediaMonkey can automatically monitor your Library for changes so that if you make changes to a Track with another application, the Library will automatically be brought up-to-date. For instance, if you use another tagging program to change a track Tag, MediaMonkey can be configured to observe the change, and automatically update the Library with the new information from the Tag.

This is accomplished via the File Monitor. It monitors user-specified directories for changes at startup and while MediaMonkey is running, and updates the Library accordingly. See File Monitor Configuration to set it up. It is more comprehensive than standard Add/Rescan functionality in that it will:

  • Add any music files that are found to the Library.
  • Add any .m3u playlists that are found to the Library, along with any of the Tracks contained within the playlists (if they can be found).
  • Update the properties of any Tracks that are scanned, if this has been configured in Library cofiguration options (by default, only Tracks whose filesize or timestamp has changed are updated).
  • Remove any Tracks that have been deleted (if so configured)
  • Change the location of any Tracks that have been moved (if so configured)

Note: Although the File Monitor does monitor for moved files, it only searches the specified directories for the moved file, and consequently will not detect the location of the moved file if it has been moved to an unmonitored directory. For these situations, you can manually search for the moved file.


Maintaining the Library

Updating the Library via File > Maintain Library periodically, will speed up the database if it has grown very large, and eliminate some of the clutter that may exist within. It does so via the following options:

Create Multi-Artist Albums

This locates all Albums and associated Tracks that have a common Album name, but different Track Artists. This usually occurs when some sort of typo has occurred, or if an Album is a compilation by multiple artists, but hasn't been designated as such. It help you re-organize these Tracks into compilation albums. This can also be accomplished by Editing Album Properties.

Remove Unused Artists

This removes any Artists that no longer contain any Tracks or Albums.

Remove Unused Albums

This removes any Albums that no longer contain any Tracks.

Check for Files on Virtual CDs

This verifies that any files saved to the Virtual CD haven't been deleted, and removes them from the database if they no longer exist.

Check for Preview Files

This verifies that any Previews that have been created haven't been deleted, and removes them from the database if they no longer exist.

Compact Database

This cleans up the internal structure of the database in order to improve performance.

Retrieve Moved/Missing Tracks

If Tracks have been moved by another application to a new location, MediaMonkey will only find the Track if the File Monitor is configured to monitor the directory to which the Track has been moved. For other cases:

  1. Go to /Library/Files to Edit/ Dead Links in the left hand pane of the MediaMonkey Explorer. You will see a list of Tracks that are inaccessible because they have either been moved or deleted.
  2. Select the Track(s) you want to find, and click File > Retrieve Moved/Missing Tracks .
  3. Choose which drives you would like to scan for the Track.
  4. A dialog will appear showing moved files that have been found, files that haven't been moved, and files that couldn't be found. Of those that have been found, select the check box next to them to confirm that you want to update the library with the location indicated.


Clearing the Library

This command will completely, and unrecoverably delete all of the data stored in your Library. It will not delete any of your music Tracks, however, it should still be used with caution, as there is some information stored within the database that is not stored within track tags. More specifically, the following data is stored in the database only:

  • Playlists and Autoplaylists
  • Catalog of Physical CDs
  • Relationship between Tracks on Virtual CDs and Physical CDs

See About Track Properties for complete details re. which properties are not saved to tags.


Backing up the Library

Just as you back up your audio collection, you may want to periodically backup your Library database. To do so, simply back up the contents of the \My Music\MediaMonkey\Data directory.

If you wish to save your configuration settings, you can also back up the .ini files which appear in the same directory.


Configuring Directory and File Formats

Configuring Directory and Filename Formats

When ripping, converting, synchronizing tracks to a portable device, saving tracks to the virtual CD, burning Tracks to a CD, or auto-organizing tracks, you can select the format in which the directories and filenames will be created. This section describes Directory and File naming in detail.

Concepts

Generally, there are 3 items to configure when choosing a destination format:

  1. Directory: This is chosen using the directory browser button (e.g. C:\My Music), though in some cases (e.g. for burning a CD) there's no need to choose a directory.
  2. Directory format: This is chosen using the 'masks' such as \<Artist>\<Album>\ . e.g.
    C:\My Music\<Artist>\<Album>\ would result in
    C:\My Music\U2\The Joshua Tree\
  3. Filename format: This is chosen using the 'masks' such as \<Track #> - <Title> . e.g.
    C:\My Music\<Artist>\<Album>\<Track #> - <Title> would result in
    C:\My Music\U2\The Joshua Tree\1 - Where the Streets Have No Name.mp3

A variety of Masks can be used giving you a fine degree of control over the Path & Filenames written.

Mask Reference

The table below describes most of the commonly used characters and fields in a mask.

' ' (space) | A space in a mask appears as a space in the path/filename that is written. Note that spaces automatically disappear in case they are in the begining or end of a filename.
'-' | A dash in a mask appears as a dash in the path/filename that is written.
'\' | A slash following a mask element causes a directory to be created.
'.\' | A .\ at the beginning of a mask causes whatever portions of the mask that follow to be written in the same directory as the source file(s). For example, a mask of C:\My Music\<Artist> - <Title> would write tracks to C:\My Music, but a mask of .\<Artist> - <Title> would write the new filenames into the directories from which the source files originate.
<Artist> | Writes the Artist field to a directory or filename (depending on whether it is followed by a '\')
<Album> | Writes the Album field to a directory or filename (depending on whether it is followed by a '\')
<Title> | Writes the Title field to a directory or filename (depending on whether it is followed by a '\')
<Genre> | Writes the Genre field to a directory or filename (depending on whether it is followed by a '\')
<Track #> | Writes the Track Number field to a filename (assuming it is not depending on whether it is followed by a '\')
<Year> | Writes the Year field to a directory or filename (depending on whether it is followed by a '\')
<Bitrate> | Writes the Bitrate field to a directory or filename (depending on whether it is followed by a '\')
<Album Artist> | Writes the Album Artist field to a directory or filename (depending on whether it is followed by a '\')
<BPM> | Writes the Beats Per Minute field to a directory or filename (depending on whether it is followed by a '\')
<Composer> | Writes the Composer field to a directory or filename (depending on whether it is followed by a '\')
<Custom x> | Writes 1 of the 4 Custom fields to a directory or filename (depending on whether it is followed by a '\')
<'Field':n> | Can be used in conjunction with any of the above mask elements in order to force a particular field to a specified length. For instance to create directories for each of the first letters in the alphabet, into which Artists are placed, the following could be used: C:\My Music\<Artist:2>\<Artist>\<Album> - <Track #> - <Title> which would yield C:\My Music\A\Abba\Gold - 2 - Fernando.mp3. Note: For text fields, the resultant characters start from the left. For numeric fields, the resultant digits start from the right (e.g. for <Year:2>, a year of 2004 would result in 04). If n > the number of characters in the field, then the resultant path is padded with spaces or 0's depending on whether the field is text or numeric.
<'Field':-n> | Same as above except that if n > the number of characters in the field, then the resultant path is padded with spaces or 0's (depending on whether the field is text or numeric) from the opposite side.
<'Field'@n> | This is very useful for creating alphabetical directories grouped in sets of x letters. For example: C:\My Music\<Artist@3> would create directories with all Artists beginning with ABC, DEF, GHI, etc.
<Folder:n> | This will recreate all folders in a source path except for the first 'n' directories. For example: C:\My Music\<Folder:2>\<Title> would create the source directory structure (without the first 2 directories in the source paths), followed by track title.
<Folder:-n> | This will recreate only the last n folders in a source path. This is very useful when it is known that the source directory is homogeneously structured.
<Playlist> | Writes the Playlist name for any Playlists that have been selected to a folder (assuming it is followed by a '\'). This mask can only be used for CD Burning and Exporting tracks.
<Filename> <Filename:n> | This recreates the current filename, and can be used with modifiers to force the resultant text to a set length.
<Auto Number> <Auto Number:n> | This creates a sequential number that can be inserted into the path. This is especially useful for inserting into the beginning of a filename when exporting to a device or burning to a CD and you wish for tracks in a playlist to be played in the order of the playlist (rather than alphabetical order). By default, 3 digits are used, though this is configurable.
<Random> <Random:n> | This creates a random number that can be inserted in the path. It is most useful for inserting into the beginning of a filename when exporting to a device or burning to a CD and you wish to ensure that the tracks will be played in random (rather than alphabetic) order. By default, 4 digits are used, though this is configurable by setting n.
<Path> | This recreates the same path and filename as the original source file(s).
<Path:x> | This recreates the same path and filename as the original soure file(s), without the first n folders of the source path.
<Path:-x> | This recreates the same path and filename as the original soure file(s), without the last n elements of the source path.
$if | This allows masks to be used conditionally. Several examples follow: To use a mask if a field isn't empty, use the following format '$if(field isn't empty,use this,else use this)'. For example: --- D:\My Music\$If(<Artist>,<Artist:1>,None)\<Artist>$If(<Album>, - <Album>\,)<Title> --- \$If(<Artist>,<Artist> - ,)$If(<Album>,<Album> - ,)$If(<Track#>,<Track#> ,)<Title> Make sure to precede all control characters such as ')' or ',' with '$' if you wish them to appear as normal characters. For example: --- \My Music\$if(<artist>,<artist> (<year>$),Unknown)\<track> To use a mask if 2 fields or a field and a string are equal, use '=' . Fore example, in the case of an Album Artist differing from the Artist, you may want both to appear in the path: --- \<Album Artist> - <Album>\<Track#> $If(<Artist>=<Album Artist>,,<Artist> - )<Title>


Using the iPod

Using the iPod with MediaMonkey

MediaMonkey integrates seemlessly with the iPod, and includes several advantages over iTunes for the advanced user:

  1. It allows you to copy the contents of your iPod to your PC.
  2. It allows all audio formats on your PC to be converted on the fly.
  3. It allows you to sync to your iPod in a format that enables you to browse the device's file structure.
  4. And of course, MediaMonkey provides far more advanced tag editing and file organization facilities.

To synchronize with your iPod see the following:

Portable Device Configuration

Synchronizing with iPods / Portable Devices